/*===========================================================================*/
/*   (Llib/gstplugin.scm)                                                    */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -copt -fPIC -copt -IClib Llib/gstplugin.scm -o objs/gstplugin.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_gstzd2objectzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2objectzd2_bglt;

typedef struct BgL_gstzd2pluginzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2pluginzd2_bglt;


static obj_t BGl_z62zc3anonymousza31090ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31147ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31148ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31271ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31166ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstpluginz00();
static obj_t BGl_z62zc3anonymousza31095ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31096ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31259ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstpluginz00();
static obj_t BGl_z62z42makezd2gstzd2pluginz20zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static BgL_gstzd2pluginzd2_bglt BGl_z62lambda1085z62zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t, obj_t);
static BgL_gstzd2pluginzd2_bglt BGl_z62lambda1088z62zz__gstreamer_gstpluginz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginz00();
static obj_t BGl_z62zc3anonymousza31111ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31112ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31203ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31116ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31117ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31152ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31153ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31139ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31157ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstpluginz00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
extern obj_t BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_gst_plugin_new(GstPlugin *, obj_t);
static obj_t BGl_z62zc3anonymousza31179ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62zc3anonymousza31100ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31101ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstpluginz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginz00();
static obj_t BGl_z62zc3anonymousza31106ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31107ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31140ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31213ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31232ze3ze1zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t __cnst[ 11 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1302z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71338za7, BGl_z62zc3anonymousza31112ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1303z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71339za7, BGl_z62zc3anonymousza31111ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1304z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71340za7, BGl_z62zc3anonymousza31117ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1305z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71341za7, BGl_z62zc3anonymousza31116ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1306z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71342za7, BGl_z62zc3anonymousza31140ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1307z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71343za7, BGl_z62zc3anonymousza31139ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1308z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71344za7, BGl_z62zc3anonymousza31148ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1309z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71345za7, BGl_z62zc3anonymousza31147ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1310z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71346za7, BGl_z62zc3anonymousza31153ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1311z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71347za7, BGl_z62zc3anonymousza31152ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1312z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71348za7, BGl_z62zc3anonymousza31157ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1313z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71349za7, BGl_z62zc3anonymousza31166ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1314z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71350za7, BGl_z62zc3anonymousza31179ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1315z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71351za7, BGl_z62zc3anonymousza31203ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1316z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71352za7, BGl_z62zc3anonymousza31213ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1317z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71353za7, BGl_z62zc3anonymousza31232ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1318z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71354za7, BGl_z62zc3anonymousza31259ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1319z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71355za7, BGl_z62zc3anonymousza31271ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1320z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71356za7, BGl_z62zc3anonymousza31090ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1321z00zz__gstreamer_gstpluginz00, BgL_bgl_za762lambda1088za7621357z00, BGl_z62lambda1088z62zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1322z00zz__gstreamer_gstpluginz00, BgL_bgl_za762lambda1085za7621358z00, BGl_z62lambda1085z62zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1293z00zz__gstreamer_gstpluginz00, BgL_bgl_string1293za700za7za7_1359za7, "/builddir/build/BUILD/bigloo4.3f/api/gstreamer/src/Llib/gstplugin.scm", 69 );
DEFINE_STRING( BGl_string1294z00zz__gstreamer_gstpluginz00, BgL_bgl_string1294za700za7za7_1360za7, "&$make-gst-plugin", 17 );
DEFINE_STRING( BGl_string1295z00zz__gstreamer_gstpluginz00, BgL_bgl_string1295za700za7za7_1361za7, "void*", 5 );
DEFINE_STRING( BGl_string1323z00zz__gstreamer_gstpluginz00, BgL_bgl_string1323za700za7za7_1362za7, "__gstreamer_gstplugin", 21 );
DEFINE_STRING( BGl_string1324z00zz__gstreamer_gstpluginz00, BgL_bgl_string1324za700za7za7_1363za7, "__gstreamer_gstplugin gst-plugin version source origin package license filename description string name ", 104 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1296z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71364za7, BGl_z62zc3anonymousza31096ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1297z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71365za7, BGl_z62zc3anonymousza31095ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1298z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71366za7, BGl_z62zc3anonymousza31101ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1299z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71367za7, BGl_z62zc3anonymousza31100ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2gstzd2pluginzd2envz90zz__gstreamer_gstpluginz00, BgL_bgl_za762za742makeza7d2gst1368za7, BGl_z62z42makezd2gstzd2pluginz20zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1300z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71369za7, BGl_z62zc3anonymousza31107ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1301z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3anonymousza71370za7, BGl_z62zc3anonymousza31106ze3ze1zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginz00(long BgL_checksumz00_426, char * BgL_fromz00_427)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstpluginz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstpluginz00(); 
return 
BGl_methodzd2initzd2zz__gstreamer_gstpluginz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__gstreamer_gstplugin"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstpluginz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 15 */
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_cportz00_386;
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_stringz00_394;
BgL_stringz00_394 = BGl_string1324z00zz__gstreamer_gstpluginz00; 
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_startz00_395;
BgL_startz00_395 = 
BINT(((long)0)); 
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_endz00_396;
BgL_endz00_396 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_394))); 
{ /* Llib/gstplugin.scm 15 */

BgL_cportz00_386 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_394, BgL_startz00_395, BgL_endz00_396); } } } } 
{ 
long BgL_iz00_387;
BgL_iz00_387 = ((long)10); 
BgL_loopz00_388:
if(
(BgL_iz00_387==((long)-1)))
{ /* Llib/gstplugin.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstplugin.scm 15 */
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_arg1336z00_390;
{ /* Llib/gstplugin.scm 15 */

{ /* Llib/gstplugin.scm 15 */
obj_t BgL_locationz00_392;
BgL_locationz00_392 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstplugin.scm 15 */

BgL_arg1336z00_390 = 
BGl_readz00zz__readerz00(BgL_cportz00_386, BgL_locationz00_392); } } } 
{ /* Llib/gstplugin.scm 15 */
int BgL_tmpz00_452;
BgL_tmpz00_452 = 
(int)(BgL_iz00_387); 
CNST_TABLE_SET(BgL_tmpz00_452, BgL_arg1336z00_390); } } 
{ /* Llib/gstplugin.scm 15 */
int BgL_auxz00_393;
BgL_auxz00_393 = 
(int)(
(BgL_iz00_387-((long)1))); 
{ 
long BgL_iz00_457;
BgL_iz00_457 = 
(long)(BgL_auxz00_393); 
BgL_iz00_387 = BgL_iz00_457; 
goto BgL_loopz00_388;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* $make-gst-plugin */
BGL_EXPORTED_DEF obj_t bgl_gst_plugin_new(GstPlugin * BgL_pluginz00_3, obj_t BgL_finaliza7erza7_4)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 78 */
{ /* Llib/gstplugin.scm 79 */
BgL_gstzd2pluginzd2_bglt BgL_new1054z00_14;
{ /* Llib/gstplugin.scm 80 */
BgL_gstzd2pluginzd2_bglt BgL_new1053z00_16;
BgL_new1053z00_16 = 
((BgL_gstzd2pluginzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2_bgl) ))); 
{ /* Llib/gstplugin.scm 80 */
long BgL_arg1071z00_17;
{ /* Llib/gstplugin.scm 80 */
long BgL_res1287z00_226;
BgL_res1287z00_226 = 
BGL_CLASS_INDEX(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
BgL_arg1071z00_17 = BgL_res1287z00_226; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_16), BgL_arg1071z00_17); } 
BgL_new1054z00_14 = BgL_new1053z00_16; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1054z00_14)))->BgL_z42builtinz42)=((GstObject *)
(GstObject *)(BgL_pluginz00_3)),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1054z00_14)))->BgL_z42finaliza7erze5)=((obj_t)BgL_finaliza7erza7_4),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1054z00_14)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/gstplugin.scm 79 */
obj_t BgL_fun1070z00_15;
BgL_fun1070z00_15 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
PROCEDURE_ENTRY(BgL_fun1070z00_15)(BgL_fun1070z00_15, 
((obj_t)BgL_new1054z00_14), BEOA); } 
return 
((obj_t)BgL_new1054z00_14);} } 
BGL_FUNCTION_END;
}



/* &$make-gst-plugin */
obj_t BGl_z62z42makezd2gstzd2pluginz20zz__gstreamer_gstpluginz00(obj_t BgL_envz00_289, obj_t BgL_pluginz00_290, obj_t BgL_finaliza7erza7_291)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 78 */
{ /* Llib/gstplugin.scm 79 */
GstPlugin * BgL_auxz00_478;
if(
FOREIGNP(BgL_pluginz00_290))
{ /* Llib/gstplugin.scm 79 */
BgL_auxz00_478 = 
FOREIGN_TO_COBJ(BgL_pluginz00_290)
; }  else 
{ 
obj_t BgL_auxz00_482;
BgL_auxz00_482 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1293z00zz__gstreamer_gstpluginz00, 
BINT(((long)2851)), BGl_string1294z00zz__gstreamer_gstpluginz00, BGl_string1295z00zz__gstreamer_gstpluginz00, BgL_pluginz00_290); 
FAILURE(BgL_auxz00_482,BFALSE,BFALSE);} 
return 
bgl_gst_plugin_new(BgL_auxz00_478, BgL_finaliza7erza7_291);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstpluginz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 15 */
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1082z00_21;obj_t BgL_arg1084z00_22;
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_v1065z00_36;
BgL_v1065z00_36 = 
create_vector(((long)8)); 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1091z00_37;
BgL_arg1091z00_37 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1297z00zz__gstreamer_gstpluginz00, BGl_proc1296z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)0),BgL_arg1091z00_37); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1097z00_47;
BgL_arg1097z00_47 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1299z00zz__gstreamer_gstpluginz00, BGl_proc1298z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)1),BgL_arg1097z00_47); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1102z00_57;
BgL_arg1102z00_57 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1301z00zz__gstreamer_gstpluginz00, BGl_proc1300z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)2),BgL_arg1102z00_57); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1108z00_67;
BgL_arg1108z00_67 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1303z00zz__gstreamer_gstpluginz00, BGl_proc1302z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)3),BgL_arg1108z00_67); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1113z00_77;
BgL_arg1113z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1305z00zz__gstreamer_gstpluginz00, BGl_proc1304z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)4),BgL_arg1113z00_77); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1134z00_87;
BgL_arg1134z00_87 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1307z00zz__gstreamer_gstpluginz00, BGl_proc1306z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)5),BgL_arg1134z00_87); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1144z00_97;
BgL_arg1144z00_97 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1309z00zz__gstreamer_gstpluginz00, BGl_proc1308z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)6),BgL_arg1144z00_97); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1149z00_107;
BgL_arg1149z00_107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1311z00zz__gstreamer_gstpluginz00, BGl_proc1310z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1065z00_36,((long)7),BgL_arg1149z00_107); } 
BgL_arg1082z00_21 = BgL_v1065z00_36; } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_v1066z00_117;
BgL_v1066z00_117 = 
create_vector(((long)8)); 
{ /* Llib/gstplugin.scm 25 */
obj_t BgL_arg1154z00_118;
{ /* Llib/gstplugin.scm 25 */
obj_t BgL_arg1155z00_119;
BgL_arg1155z00_119 = 
MAKE_YOUNG_PAIR(BGl_proc1312z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1154z00_118 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg1155z00_119); } 
VECTOR_SET(BgL_v1066z00_117,((long)0),BgL_arg1154z00_118); } 
{ /* Llib/gstplugin.scm 31 */
obj_t BgL_arg1162z00_131;
{ /* Llib/gstplugin.scm 31 */
obj_t BgL_arg1163z00_132;
BgL_arg1163z00_132 = 
MAKE_YOUNG_PAIR(BGl_proc1313z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1162z00_131 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1163z00_132); } 
VECTOR_SET(BgL_v1066z00_117,((long)1),BgL_arg1162z00_131); } 
{ /* Llib/gstplugin.scm 37 */
obj_t BgL_arg1170z00_144;
{ /* Llib/gstplugin.scm 37 */
obj_t BgL_arg1171z00_145;
BgL_arg1171z00_145 = 
MAKE_YOUNG_PAIR(BGl_proc1314z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1170z00_144 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1171z00_145); } 
VECTOR_SET(BgL_v1066z00_117,((long)2),BgL_arg1170z00_144); } 
{ /* Llib/gstplugin.scm 43 */
obj_t BgL_arg1190z00_157;
{ /* Llib/gstplugin.scm 43 */
obj_t BgL_arg1201z00_158;
BgL_arg1201z00_158 = 
MAKE_YOUNG_PAIR(BGl_proc1315z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1190z00_157 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg1201z00_158); } 
VECTOR_SET(BgL_v1066z00_117,((long)3),BgL_arg1190z00_157); } 
{ /* Llib/gstplugin.scm 49 */
obj_t BgL_arg1207z00_170;
{ /* Llib/gstplugin.scm 49 */
obj_t BgL_arg1208z00_171;
BgL_arg1208z00_171 = 
MAKE_YOUNG_PAIR(BGl_proc1316z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1207z00_170 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg1208z00_171); } 
VECTOR_SET(BgL_v1066z00_117,((long)4),BgL_arg1207z00_170); } 
{ /* Llib/gstplugin.scm 55 */
obj_t BgL_arg1219z00_183;
{ /* Llib/gstplugin.scm 55 */
obj_t BgL_arg1225z00_184;
BgL_arg1225z00_184 = 
MAKE_YOUNG_PAIR(BGl_proc1317z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1219z00_183 = 
MAKE_YOUNG_PAIR(
BINT(((long)5)), BgL_arg1225z00_184); } 
VECTOR_SET(BgL_v1066z00_117,((long)5),BgL_arg1219z00_183); } 
{ /* Llib/gstplugin.scm 61 */
obj_t BgL_arg1256z00_196;
{ /* Llib/gstplugin.scm 61 */
obj_t BgL_arg1257z00_197;
BgL_arg1257z00_197 = 
MAKE_YOUNG_PAIR(BGl_proc1318z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1256z00_196 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg1257z00_197); } 
VECTOR_SET(BgL_v1066z00_117,((long)6),BgL_arg1256z00_196); } 
{ /* Llib/gstplugin.scm 67 */
obj_t BgL_arg1264z00_209;
{ /* Llib/gstplugin.scm 67 */
obj_t BgL_arg1269z00_210;
BgL_arg1269z00_210 = 
MAKE_YOUNG_PAIR(BGl_proc1319z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1264z00_209 = 
MAKE_YOUNG_PAIR(
BINT(((long)7)), BgL_arg1269z00_210); } 
VECTOR_SET(BgL_v1066z00_117,((long)7),BgL_arg1264z00_209); } 
BgL_arg1084z00_22 = BgL_v1066z00_117; } 
return ( 
BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, ((long)10999), BGl_proc1322z00zz__gstreamer_gstpluginz00, BGl_proc1321z00zz__gstreamer_gstpluginz00, BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1320z00zz__gstreamer_gstpluginz00, BFALSE, BgL_arg1082z00_21, BgL_arg1084z00_22), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1090> */
obj_t BGl_z62zc3anonymousza31090ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_319, obj_t BgL_new1052z00_320)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
{ 
BgL_gstzd2pluginzd2_bglt BgL_auxz00_556;
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_new1052z00_320))))->BgL_z42builtinz42)=((GstObject *)
0L),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_new1052z00_320))))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_new1052z00_320))))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_556 = 
((BgL_gstzd2pluginzd2_bglt)BgL_new1052z00_320); 
return 
((obj_t)BgL_auxz00_556);} } 
BGL_FUNCTION_END;
}



/* &lambda1088 */
BgL_gstzd2pluginzd2_bglt BGl_z62lambda1088z62zz__gstreamer_gstpluginz00(obj_t BgL_envz00_321)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
{ /* Llib/gstplugin.scm 21 */
BgL_gstzd2pluginzd2_bglt BgL_new1051z00_400;
BgL_new1051z00_400 = 
((BgL_gstzd2pluginzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2_bgl) ))); 
{ /* Llib/gstplugin.scm 21 */
long BgL_arg1089z00_401;
{ /* Llib/gstplugin.scm 21 */
long BgL_res1289z00_402;
BgL_res1289z00_402 = 
BGL_CLASS_INDEX(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
BgL_arg1089z00_401 = BgL_res1289z00_402; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_400), BgL_arg1089z00_401); } 
return BgL_new1051z00_400;} } 
BGL_FUNCTION_END;
}



/* &lambda1085 */
BgL_gstzd2pluginzd2_bglt BGl_z62lambda1085z62zz__gstreamer_gstpluginz00(obj_t BgL_envz00_322, obj_t BgL_z42builtin1048z42_323, obj_t BgL_z42finaliza7er1049ze5_324, obj_t BgL_z52closures1050z52_325)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
{ /* Llib/gstplugin.scm 21 */
GstObject * BgL_z42builtin1048z42_403;
BgL_z42builtin1048z42_403 = 
FOREIGN_TO_COBJ(BgL_z42builtin1048z42_323); 
{ /* Llib/gstplugin.scm 21 */
BgL_gstzd2pluginzd2_bglt BgL_new1056z00_405;
{ /* Llib/gstplugin.scm 21 */
BgL_gstzd2pluginzd2_bglt BgL_new1055z00_406;
BgL_new1055z00_406 = 
((BgL_gstzd2pluginzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2_bgl) ))); 
{ /* Llib/gstplugin.scm 21 */
long BgL_arg1087z00_407;
{ /* Llib/gstplugin.scm 21 */
long BgL_res1288z00_408;
BgL_res1288z00_408 = 
BGL_CLASS_INDEX(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
BgL_arg1087z00_407 = BgL_res1288z00_408; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_406), BgL_arg1087z00_407); } 
BgL_new1056z00_405 = BgL_new1055z00_406; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_405)))->BgL_z42builtinz42)=((GstObject *)BgL_z42builtin1048z42_403),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_405)))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1049ze5_324),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_405)))->BgL_z52closuresz52)=((obj_t)
((obj_t)BgL_z52closures1050z52_325)),BUNSPEC); 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_fun1086z00_409;
BgL_fun1086z00_409 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
PROCEDURE_ENTRY(BgL_fun1086z00_409)(BgL_fun1086z00_409, 
((obj_t)BgL_new1056z00_405), BEOA); } 
return BgL_new1056z00_405;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1271> */
obj_t BGl_z62zc3anonymousza31271ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_326, obj_t BgL_oz00_327)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 64 */
{ /* Llib/gstplugin.scm 67 */
char * BgL_tmpz00_591;
{ /* Llib/gstplugin.scm 69 */
GstPlugin * BgL_arg1284z00_410;
{ /* Llib/gstplugin.scm 69 */
GstObject * BgL_arg1285z00_411;
BgL_arg1285z00_411 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_327))))->BgL_z42builtinz42); 
BgL_arg1284z00_410 = 
GST_PLUGIN(BgL_arg1285z00_411); } 
BgL_tmpz00_591 = 
(char *)gst_plugin_get_version(BgL_arg1284z00_410); } 
return 
string_to_bstring(BgL_tmpz00_591);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1259> */
obj_t BGl_z62zc3anonymousza31259ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_328, obj_t BgL_oz00_329)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 58 */
{ /* Llib/gstplugin.scm 61 */
char * BgL_tmpz00_598;
{ /* Llib/gstplugin.scm 63 */
GstPlugin * BgL_arg1261z00_412;
{ /* Llib/gstplugin.scm 63 */
GstObject * BgL_arg1262z00_413;
BgL_arg1262z00_413 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_329))))->BgL_z42builtinz42); 
BgL_arg1261z00_412 = 
GST_PLUGIN(BgL_arg1262z00_413); } 
BgL_tmpz00_598 = 
(char *)gst_plugin_get_source(BgL_arg1261z00_412); } 
return 
string_to_bstring(BgL_tmpz00_598);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1232> */
obj_t BGl_z62zc3anonymousza31232ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_330, obj_t BgL_oz00_331)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 52 */
{ /* Llib/gstplugin.scm 55 */
char * BgL_tmpz00_605;
{ /* Llib/gstplugin.scm 57 */
GstPlugin * BgL_arg1234z00_414;
{ /* Llib/gstplugin.scm 57 */
GstObject * BgL_arg1235z00_415;
BgL_arg1235z00_415 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_331))))->BgL_z42builtinz42); 
BgL_arg1234z00_414 = 
GST_PLUGIN(BgL_arg1235z00_415); } 
BgL_tmpz00_605 = 
(char *)gst_plugin_get_origin(BgL_arg1234z00_414); } 
return 
string_to_bstring(BgL_tmpz00_605);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1213> */
obj_t BGl_z62zc3anonymousza31213ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_332, obj_t BgL_oz00_333)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 46 */
{ /* Llib/gstplugin.scm 49 */
char * BgL_tmpz00_612;
{ /* Llib/gstplugin.scm 51 */
GstPlugin * BgL_arg1214z00_416;
{ /* Llib/gstplugin.scm 51 */
GstObject * BgL_arg1217z00_417;
BgL_arg1217z00_417 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_333))))->BgL_z42builtinz42); 
BgL_arg1214z00_416 = 
GST_PLUGIN(BgL_arg1217z00_417); } 
BgL_tmpz00_612 = 
(char *)gst_plugin_get_package(BgL_arg1214z00_416); } 
return 
string_to_bstring(BgL_tmpz00_612);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1203> */
obj_t BGl_z62zc3anonymousza31203ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_334, obj_t BgL_oz00_335)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 40 */
{ /* Llib/gstplugin.scm 43 */
char * BgL_tmpz00_619;
{ /* Llib/gstplugin.scm 45 */
GstPlugin * BgL_arg1204z00_418;
{ /* Llib/gstplugin.scm 45 */
GstObject * BgL_arg1205z00_419;
BgL_arg1205z00_419 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_335))))->BgL_z42builtinz42); 
BgL_arg1204z00_418 = 
GST_PLUGIN(BgL_arg1205z00_419); } 
BgL_tmpz00_619 = 
(char *)gst_plugin_get_license(BgL_arg1204z00_418); } 
return 
string_to_bstring(BgL_tmpz00_619);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1179> */
obj_t BGl_z62zc3anonymousza31179ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_336, obj_t BgL_oz00_337)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 34 */
{ /* Llib/gstplugin.scm 37 */
char * BgL_tmpz00_626;
{ /* Llib/gstplugin.scm 39 */
GstPlugin * BgL_arg1181z00_420;
{ /* Llib/gstplugin.scm 39 */
GstObject * BgL_arg1187z00_421;
BgL_arg1187z00_421 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_337))))->BgL_z42builtinz42); 
BgL_arg1181z00_420 = 
GST_PLUGIN(BgL_arg1187z00_421); } 
BgL_tmpz00_626 = 
(char *)gst_plugin_get_filename(BgL_arg1181z00_420); } 
return 
string_to_bstring(BgL_tmpz00_626);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1166> */
obj_t BGl_z62zc3anonymousza31166ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_338, obj_t BgL_oz00_339)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 28 */
{ /* Llib/gstplugin.scm 31 */
char * BgL_tmpz00_633;
{ /* Llib/gstplugin.scm 33 */
GstPlugin * BgL_arg1167z00_422;
{ /* Llib/gstplugin.scm 33 */
GstObject * BgL_arg1168z00_423;
BgL_arg1168z00_423 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_339))))->BgL_z42builtinz42); 
BgL_arg1167z00_422 = 
GST_PLUGIN(BgL_arg1168z00_423); } 
BgL_tmpz00_633 = 
(char *)gst_plugin_get_description(BgL_arg1167z00_422); } 
return 
string_to_bstring(BgL_tmpz00_633);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1157> */
obj_t BGl_z62zc3anonymousza31157ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_340, obj_t BgL_oz00_341)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 22 */
{ /* Llib/gstplugin.scm 25 */
char * BgL_tmpz00_640;
{ /* Llib/gstplugin.scm 27 */
GstPlugin * BgL_arg1158z00_424;
{ /* Llib/gstplugin.scm 27 */
GstObject * BgL_arg1159z00_425;
BgL_arg1159z00_425 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_341))))->BgL_z42builtinz42); 
BgL_arg1158z00_424 = 
GST_PLUGIN(BgL_arg1159z00_425); } 
BgL_tmpz00_640 = 
(char *)gst_plugin_get_name(BgL_arg1158z00_424); } 
return 
string_to_bstring(BgL_tmpz00_640);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1153> */
obj_t BGl_z62zc3anonymousza31153ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_342, obj_t BgL_oz00_343, obj_t BgL_vz00_344)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_343), 
(int)(((long)7)), BgL_vz00_344);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1152> */
obj_t BGl_z62zc3anonymousza31152ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_345, obj_t BgL_oz00_346)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_346), 
(int)(((long)7)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1148> */
obj_t BGl_z62zc3anonymousza31148ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_347, obj_t BgL_oz00_348, obj_t BgL_vz00_349)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_348), 
(int)(((long)6)), BgL_vz00_349);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1147> */
obj_t BGl_z62zc3anonymousza31147ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_350, obj_t BgL_oz00_351)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_351), 
(int)(((long)6)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1140> */
obj_t BGl_z62zc3anonymousza31140ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_352, obj_t BgL_oz00_353, obj_t BgL_vz00_354)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_353), 
(int)(((long)5)), BgL_vz00_354);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1139> */
obj_t BGl_z62zc3anonymousza31139ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_355, obj_t BgL_oz00_356)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_356), 
(int)(((long)5)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1117> */
obj_t BGl_z62zc3anonymousza31117ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_357, obj_t BgL_oz00_358, obj_t BgL_vz00_359)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_358), 
(int)(((long)4)), BgL_vz00_359);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1116> */
obj_t BGl_z62zc3anonymousza31116ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_360, obj_t BgL_oz00_361)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_361), 
(int)(((long)4)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1112> */
obj_t BGl_z62zc3anonymousza31112ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_362, obj_t BgL_oz00_363, obj_t BgL_vz00_364)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_363), 
(int)(((long)3)), BgL_vz00_364);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1111> */
obj_t BGl_z62zc3anonymousza31111ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_365, obj_t BgL_oz00_366)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_366), 
(int)(((long)3)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1107> */
obj_t BGl_z62zc3anonymousza31107ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_367, obj_t BgL_oz00_368, obj_t BgL_vz00_369)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_368), 
(int)(((long)2)), BgL_vz00_369);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1106> */
obj_t BGl_z62zc3anonymousza31106ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_370, obj_t BgL_oz00_371)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_371), 
(int)(((long)2)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1101> */
obj_t BGl_z62zc3anonymousza31101ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_372, obj_t BgL_oz00_373, obj_t BgL_vz00_374)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_373), 
(int)(((long)1)), BgL_vz00_374);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1100> */
obj_t BGl_z62zc3anonymousza31100ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_375, obj_t BgL_oz00_376)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_376), 
(int)(((long)1)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1096> */
obj_t BGl_z62zc3anonymousza31096ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_377, obj_t BgL_oz00_378, obj_t BgL_vz00_379)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_378), 
(int)(((long)0)), BgL_vz00_379);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1095> */
obj_t BGl_z62zc3anonymousza31095ze3ze1zz__gstreamer_gstpluginz00(obj_t BgL_envz00_380, obj_t BgL_oz00_381)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_381), 
(int)(((long)0)));} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstpluginz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstpluginz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/gstplugin.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(((long)361864494), 
BSTRING_TO_STRING(BGl_string1323z00zz__gstreamer_gstpluginz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
