/*===========================================================================*/
/*   (Llib/pdgevent.scm)                                                     */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -srfi phidget -unsafe -safee -copt  -copt -fPIC -copt -IClib Llib/pdgevent.scm -o objs/pdgevent.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>
#include <bglphidget_config.h>
#include <bglphidget.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62phidgetzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2errorzb0_bglt;

typedef struct BgL_z52phidgetz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52phidgetz52_bglt;

typedef struct BgL_z52phidgetzd2eventz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
} *BgL_z52phidgetzd2eventz80_bglt;

typedef struct BgL_phidgetzd2eventzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2eventzd2_bglt;

typedef struct BgL_phidgetzd2errorzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_codez00;
   char * BgL_messagez00;
} *BgL_phidgetzd2errorzd2eventz00_bglt;

typedef struct BgL_phidgetzd2attachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2attachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2detachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2detachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2changezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
} *BgL_phidgetzd2changezd2eventz00_bglt;

typedef struct BgL_phidgetzd2inputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2inputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2outputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2outputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2sensorchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_statez00;
} *BgL_phidgetzd2sensorchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverdisconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2spatialdatazd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_secondsz00;
   int BgL_microsecondsz00;
   double BgL_acxz00;
   double BgL_acyz00;
   double BgL_acza7za7;
   double BgL_anxz00;
   double BgL_anyz00;
   double BgL_anza7za7;
   double BgL_mfxz00;
   double BgL_mfyz00;
   double BgL_mfza7za7;
} *BgL_phidgetzd2spatialdatazd2eventz00_bglt;

typedef struct BgL_phidgetzd2servopositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_positionz00;
} *BgL_phidgetzd2servopositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servovelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2servovelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servocurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2servocurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2stepperinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2steppervelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   BGL_LONGLONG_T BgL_positionz00;
} *BgL_phidgetzd2stepperpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2steppercurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2encoderinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_timez00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderindexzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderindexzd2eventz00_bglt;


static obj_t BGl_z62zc3anonymousza31145ze3ze1zz__phidget_eventz00(obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00;
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderindex_new(obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_z52phidgetz52_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_spatialdata_new(obj_t, int, int, double, double, double, double, double, double, double, double, double);
static obj_t BGl_objectzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_inputchange_new(obj_t, int, bool_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_serverdisconnect_new(obj_t, CPhidgetHandle);
static obj_t BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = BUNSPEC;
extern obj_t BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_outputchange_new(obj_t, int, bool_t);
static obj_t BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00(obj_t);
extern obj_t bgl_phidget_new(CPhidgetHandle);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__phidget_eventz00();
static obj_t BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z62phidgetzd2errorzb0zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderinput_new(obj_t, int, bool_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_steppercurrent_new(obj_t, int, double);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_attach_new(obj_t, CPhidgetHandle);
extern obj_t BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
extern obj_t BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00;
static bool_t BGl_phidgetzd2initializa7edpz75zz__phidget_eventz00;
extern obj_t BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00;
extern obj_t BGl_z52phidgetz52zz__phidget_typesz00;
static obj_t BGl_gczd2rootszd2initz00zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_signal();
static obj_t BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servocurrent_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_stepperinput_new(obj_t, int, int);
extern obj_t BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00;
static obj_t BGl_requirezd2initializa7ationz75zz__phidget_eventz00 = BUNSPEC;
extern obj_t BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_sensorchange_new(obj_t, int, int);
static obj_t BGl_toplevelzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00();
extern obj_t BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_error_new(obj_t, int, char *);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderposition_new(obj_t, int, int, int);
static obj_t BGl_genericzd2initzd2zz__phidget_eventz00();
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
static obj_t BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_lock();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servovelocity_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2addzd2eventzd2li1134zb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_unlock();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servoposition_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_motorcontrolvelocity_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_detach_new(obj_t, CPhidgetHandle);
static obj_t BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_serverconnect_new(obj_t, CPhidgetHandle);
static obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00();
static obj_t BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__phidget_eventz00();
static obj_t BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00 = BUNSPEC;
static obj_t BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_motorcontrolcurrent_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00;
static obj_t BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00 = BUNSPEC;
static obj_t BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_steppervelocity_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00;
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_stepperposition_new(obj_t, int, BGL_LONGLONG_T);
static obj_t BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_STRING( BGl_string1400z00zz__phidget_eventz00, BgL_bgl_string1400za700za7za7_1419za7, "procedure", 9 );
DEFINE_STRING( BGl_string1401z00zz__phidget_eventz00, BgL_bgl_string1401za700za7za7_1420za7, "__phidget_event", 15 );
DEFINE_STRING( BGl_string1402z00zz__phidget_eventz00, BgL_bgl_string1402za700za7za7_1421za7, "phidget ", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servopositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1422z00, BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2steppervelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1423z00, BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1366z00zz__phidget_eventz00, BgL_bgl_za762za7c3anonymousza71424za7, BGl_z62zc3anonymousza31145ze3ze1zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2threadzd2initz12zd2envz92zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21425za7, BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1394z00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2add1426z00, BGl_z62phidgetzd2addzd2eventzd2li1134zb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2signalzd2envz52zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21427za7, BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2serverdisconnectzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1428z00, BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2errorzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1429z00, BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderinputzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1430z00, BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2motorcontrolcurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1431z00, BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2lockz12zd2envz40zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21432za7, BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2detachzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1433z00, BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2add1434z00, BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2inputchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1435z00, BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2stepperpositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1436z00, BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servocurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1437z00, BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2unlockz12zd2envz40zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21438za7, BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2sensorchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1439z00, BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2outputchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1440z00, BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderindexzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1441z00, BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2spatialdatazd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1442z00, BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2attachzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1443z00, BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1365z00zz__phidget_eventz00, BgL_bgl_string1365za700za7za7_1444za7, "Llib/pdgevent.scm", 17 );
DEFINE_STRING( BGl_string1367z00zz__phidget_eventz00, BgL_bgl_string1367za700za7za7_1445za7, "/builddir/build/BUILD/bigloo4.3f/api/phidget/src/Llib/pdgevent.scm", 66 );
DEFINE_STRING( BGl_string1368z00zz__phidget_eventz00, BgL_bgl_string1368za700za7za7_1446za7, "&phidget-event-error-new", 24 );
DEFINE_STRING( BGl_string1369z00zz__phidget_eventz00, BgL_bgl_string1369za700za7za7_1447za7, "bint", 4 );
DEFINE_STRING( BGl_string1370z00zz__phidget_eventz00, BgL_bgl_string1370za700za7za7_1448za7, "bstring", 7 );
DEFINE_STRING( BGl_string1371z00zz__phidget_eventz00, BgL_bgl_string1371za700za7za7_1449za7, "&phidget-event-attach-new", 25 );
DEFINE_STRING( BGl_string1372z00zz__phidget_eventz00, BgL_bgl_string1372za700za7za7_1450za7, "void*", 5 );
DEFINE_STRING( BGl_string1373z00zz__phidget_eventz00, BgL_bgl_string1373za700za7za7_1451za7, "&phidget-event-detach-new", 25 );
DEFINE_STRING( BGl_string1374z00zz__phidget_eventz00, BgL_bgl_string1374za700za7za7_1452za7, "&phidget-event-inputchange-new", 30 );
DEFINE_STRING( BGl_string1375z00zz__phidget_eventz00, BgL_bgl_string1375za700za7za7_1453za7, "&phidget-event-outputchange-new", 31 );
DEFINE_STRING( BGl_string1376z00zz__phidget_eventz00, BgL_bgl_string1376za700za7za7_1454za7, "&phidget-event-sensorchange-new", 31 );
DEFINE_STRING( BGl_string1377z00zz__phidget_eventz00, BgL_bgl_string1377za700za7za7_1455za7, "&phidget-event-serverconnect-new", 32 );
DEFINE_STRING( BGl_string1378z00zz__phidget_eventz00, BgL_bgl_string1378za700za7za7_1456za7, "&phidget-event-serverdisconnect-new", 35 );
DEFINE_STRING( BGl_string1379z00zz__phidget_eventz00, BgL_bgl_string1379za700za7za7_1457za7, "&phidget-event-spatialdata-new", 30 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servovelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1458z00, BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1380z00zz__phidget_eventz00, BgL_bgl_string1380za700za7za7_1459za7, "real", 4 );
DEFINE_STRING( BGl_string1381z00zz__phidget_eventz00, BgL_bgl_string1381za700za7za7_1460za7, "&phidget-event-servoposition-new", 32 );
DEFINE_STRING( BGl_string1382z00zz__phidget_eventz00, BgL_bgl_string1382za700za7za7_1461za7, "&phidget-event-servovelocity-new", 32 );
DEFINE_STRING( BGl_string1383z00zz__phidget_eventz00, BgL_bgl_string1383za700za7za7_1462za7, "&phidget-event-servocurrent-new", 31 );
DEFINE_STRING( BGl_string1384z00zz__phidget_eventz00, BgL_bgl_string1384za700za7za7_1463za7, "&phidget-event-stepperinput-new", 31 );
DEFINE_STRING( BGl_string1385z00zz__phidget_eventz00, BgL_bgl_string1385za700za7za7_1464za7, "&phidget-event-steppervelocity-new", 34 );
DEFINE_STRING( BGl_string1386z00zz__phidget_eventz00, BgL_bgl_string1386za700za7za7_1465za7, "&phidget-event-stepperposition-new", 34 );
DEFINE_STRING( BGl_string1387z00zz__phidget_eventz00, BgL_bgl_string1387za700za7za7_1466za7, "bllong", 6 );
DEFINE_STRING( BGl_string1388z00zz__phidget_eventz00, BgL_bgl_string1388za700za7za7_1467za7, "&phidget-event-steppercurrent-new", 33 );
DEFINE_STRING( BGl_string1389z00zz__phidget_eventz00, BgL_bgl_string1389za700za7za7_1468za7, "&phidget-event-motorcontrolvelocity-new", 39 );
DEFINE_STRING( BGl_string1390z00zz__phidget_eventz00, BgL_bgl_string1390za700za7za7_1469za7, "&phidget-event-motorcontrolcurrent-new", 38 );
DEFINE_STRING( BGl_string1391z00zz__phidget_eventz00, BgL_bgl_string1391za700za7za7_1470za7, "&phidget-event-encoderinput-new", 31 );
DEFINE_STRING( BGl_string1392z00zz__phidget_eventz00, BgL_bgl_string1392za700za7za7_1471za7, "&phidget-event-encoderposition-new", 34 );
DEFINE_STRING( BGl_string1393z00zz__phidget_eventz00, BgL_bgl_string1393za700za7za7_1472za7, "&phidget-event-encoderindex-new", 31 );
DEFINE_STRING( BGl_string1395z00zz__phidget_eventz00, BgL_bgl_string1395za700za7za7_1473za7, "phidget-add-event-li1134", 24 );
DEFINE_STRING( BGl_string1396z00zz__phidget_eventz00, BgL_bgl_string1396za700za7za7_1474za7, "phidget-add-event-listener!", 27 );
DEFINE_STRING( BGl_string1397z00zz__phidget_eventz00, BgL_bgl_string1397za700za7za7_1475za7, "event not supported", 19 );
DEFINE_STRING( BGl_string1398z00zz__phidget_eventz00, BgL_bgl_string1398za700za7za7_1476za7, "&phidget-add-event-listener!", 28 );
DEFINE_STRING( BGl_string1399z00zz__phidget_eventz00, BgL_bgl_string1399za700za7za7_1477za7, "%phidget", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2steppercurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1478z00, BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2stepperinputzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1479z00, BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2motorcontrolvelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1480z00, BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderpositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1481z00, BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2serverconnectzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1482z00, BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long BgL_checksumz00_645, char * BgL_fromz00_646)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__phidget_eventz00))
{ 
BGl_requirezd2initializa7ationz75zz__phidget_eventz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__phidget_eventz00(); 
BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00(); 
BGl_cnstzd2initzd2zz__phidget_eventz00(); 
BGl_importedzd2moduleszd2initz00zz__phidget_eventz00(); 
BGl_genericzd2initzd2zz__phidget_eventz00(); 
return 
BGl_toplevelzd2initzd2zz__phidget_eventz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__phidget_event"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_cportz00_616;
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_stringz00_624;
BgL_stringz00_624 = BGl_string1402z00zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_startz00_625;
BgL_startz00_625 = 
BINT(((long)0)); 
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_endz00_626;
BgL_endz00_626 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_624))); 
{ /* Llib/pdgevent.scm 16 */

BgL_cportz00_616 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_624, BgL_startz00_625, BgL_endz00_626); } } } } 
{ 
long BgL_iz00_617;
BgL_iz00_617 = ((long)0); 
BgL_loopz00_618:
if(
(BgL_iz00_617==((long)-1)))
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;}  else 
{ /* Llib/pdgevent.scm 16 */
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_arg1417z00_620;
{ /* Llib/pdgevent.scm 16 */

{ /* Llib/pdgevent.scm 16 */
obj_t BgL_locationz00_622;
BgL_locationz00_622 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pdgevent.scm 16 */

BgL_arg1417z00_620 = 
BGl_readz00zz__readerz00(BgL_cportz00_616, BgL_locationz00_622); } } } 
{ /* Llib/pdgevent.scm 16 */
int BgL_tmpz00_674;
BgL_tmpz00_674 = 
(int)(BgL_iz00_617); 
CNST_TABLE_SET(BgL_tmpz00_674, BgL_arg1417z00_620); } } 
{ /* Llib/pdgevent.scm 16 */
int BgL_auxz00_623;
BgL_auxz00_623 = 
(int)(
(BgL_iz00_617-((long)1))); 
{ 
long BgL_iz00_679;
BgL_iz00_679 = 
(long)(BgL_auxz00_623); 
BgL_iz00_617 = BgL_iz00_679; 
goto BgL_loopz00_618;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1365z00zz__phidget_eventz00)); 
{ /* Llib/pdgevent.scm 86 */
obj_t BgL_res1203z00_177;
{ /* Llib/pdgevent.scm 86 */
obj_t BgL_namez00_176;
BgL_namez00_176 = 
CNST_TABLE_REF(((long)0)); 
BgL_res1203z00_177 = 
bgl_make_mutex(BgL_namez00_176); } 
BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00 = BgL_res1203z00_177; } 
{ /* Llib/pdgevent.scm 87 */
obj_t BgL_res1204z00_179;
{ /* Llib/pdgevent.scm 87 */
obj_t BgL_namez00_178;
BgL_namez00_178 = 
CNST_TABLE_REF(((long)0)); 
BgL_res1204z00_179 = 
bgl_make_condvar(BgL_namez00_178); } 
BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00 = BgL_res1204z00_179; } 
BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = BUNSPEC; 
BGl_phidgetzd2initializa7edpz75zz__phidget_eventz00 = ((bool_t)0); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* %phidget-lock! */
BGL_EXPORTED_DEF obj_t bgl_phidget_lock()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 92 */
{ /* Llib/pdgevent.scm 93 */
obj_t BgL_g1149z00_180;
BgL_g1149z00_180 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 93 */

{ /* Llib/pdgevent.scm 93 */
int BgL_arg1646z00_185;
BgL_arg1646z00_185 = 
BGL_MUTEX_LOCK(BgL_g1149z00_180); 
return 
BBOOL(
(
(long)(BgL_arg1646z00_185)==((long)0)));} } } } 
BGL_FUNCTION_END;
}



/* &%phidget-lock! */
obj_t BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00(obj_t BgL_envz00_412)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 92 */
return 
bgl_phidget_lock();} 
BGL_FUNCTION_END;
}



/* %phidget-unlock! */
BGL_EXPORTED_DEF obj_t bgl_phidget_unlock()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 98 */
{ /* Llib/pdgevent.scm 99 */
obj_t BgL_mz00_193;
BgL_mz00_193 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 99 */
int BgL_arg1643z00_194;
BgL_arg1643z00_194 = 
BGL_MUTEX_UNLOCK(BgL_mz00_193); 
return 
BBOOL(
(
(long)(BgL_arg1643z00_194)==((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &%phidget-unlock! */
obj_t BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00(obj_t BgL_envz00_413)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 98 */
return 
bgl_phidget_unlock();} 
BGL_FUNCTION_END;
}



/* %phidget-signal */
BGL_EXPORTED_DEF obj_t bgl_phidget_signal()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 104 */
{ /* Llib/pdgevent.scm 105 */
bool_t BgL_res1209z00_198;
BgL_res1209z00_198 = 
BGL_CONDVAR_SIGNAL(BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00); 
return 
BBOOL(BgL_res1209z00_198);} } 
BGL_FUNCTION_END;
}



/* &%phidget-signal */
obj_t BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00(obj_t BgL_envz00_414)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 104 */
return 
bgl_phidget_signal();} 
BGL_FUNCTION_END;
}



/* %phidget-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 120 */
if(
BGl_isazf3zf3zz__objectz00(BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00, BGl_threadz00zz__threadz00))
{ /* Llib/pdgevent.scm 121 */
return BFALSE;}  else 
{ /* Llib/pdgevent.scm 121 */
{ /* Llib/pdgevent.scm 124 */
BgL_pthreadz00_bglt BgL_new1088z00_86;
{ /* Llib/pdgevent.scm 124 */
BgL_pthreadz00_bglt BgL_new1087z00_97;
BgL_new1087z00_97 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pdgevent.scm 124 */
long BgL_arg1148z00_98;
{ /* Llib/pdgevent.scm 124 */
long BgL_res1210z00_200;
BgL_res1210z00_200 = 
BGL_CLASS_INDEX(BGl_pthreadz00zz__pth_threadz00); 
BgL_arg1148z00_98 = BgL_res1210z00_200; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_97), BgL_arg1148z00_98); } 
BgL_new1088z00_86 = BgL_new1087z00_97; } 
{ 
obj_t BgL_auxz00_707;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_arg1140z00_87;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_arg1144z00_88;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_res1211z00_204;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_classz00_203;
BgL_classz00_203 = BGl_pthreadz00zz__pth_threadz00; 
BgL_res1211z00_204 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_203); } 
BgL_arg1144z00_88 = BgL_res1211z00_204; } 
BgL_arg1140z00_87 = 
VECTOR_REF(BgL_arg1144z00_88,((long)0)); } 
BgL_auxz00_707 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1140z00_87); } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1088z00_86)))->BgL_namez00)=((obj_t)BgL_auxz00_707),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1088z00_86))->BgL_bodyz00)=((obj_t)BGl_proc1366z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1088z00_86))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1088z00_86))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1088z00_86))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1088z00_86))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_fun1147z00_96;
BgL_fun1147z00_96 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
PROCEDURE_ENTRY(BgL_fun1147z00_96)(BgL_fun1147z00_96, 
((obj_t)BgL_new1088z00_86), BEOA); } 
BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = 
((obj_t)BgL_new1088z00_86); } 
return 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00), BNIL);} } 
BGL_FUNCTION_END;
}



/* &%phidget-thread-init! */
obj_t BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00(obj_t BgL_envz00_416)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 120 */
return 
BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00();} 
BGL_FUNCTION_END;
}



/* &<anonymous:1145> */
obj_t BGl_z62zc3anonymousza31145ze3ze1zz__phidget_eventz00(obj_t BgL_envz00_417)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 125 */
{ /* Llib/pdgevent.scm 126 */
obj_t BgL_top1484z00_730;
BgL_top1484z00_730 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1484z00_730, BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); BUNSPEC; 
{ /* Llib/pdgevent.scm 126 */
obj_t BgL_tmp1483z00_729;
{ 

BgL_loopz00_629:
{ /* Llib/pdgevent.scm 129 */
obj_t BgL_g1143z00_630;obj_t BgL_g1144z00_631;
BgL_g1143z00_630 = BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00; 
BgL_g1144z00_631 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 128 */

{ /* Llib/pdgevent.scm 128 */
bool_t BgL_res1213z00_632;
BgL_res1213z00_632 = 
BGL_CONDVAR_WAIT(BgL_g1143z00_630, BgL_g1144z00_631); BgL_res1213z00_632; } } } 
bgl_phidget_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_629;} 
BGL_EXITD_POP_PROTECT(BgL_top1484z00_730); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); 
return BgL_tmp1483z00_729;} } } 
BGL_FUNCTION_END;
}



/* phidget-event-error-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_error_new(obj_t BgL_targetz00_6, int BgL_codez00_7, char * BgL_msgz00_8)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 147 */
{ /* Llib/pdgevent.scm 148 */
BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1092z00_213;
{ /* Llib/pdgevent.scm 149 */
BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1091z00_214;
BgL_new1091z00_214 = 
((BgL_phidgetzd2errorzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2errorzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 149 */
long BgL_arg1150z00_215;
{ /* Llib/pdgevent.scm 149 */
long BgL_res1214z00_217;
BgL_res1214z00_217 = 
BGL_CLASS_INDEX(BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00); 
BgL_arg1150z00_215 = BgL_res1214z00_217; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_214), BgL_arg1150z00_215); } 
BgL_new1092z00_213 = BgL_new1091z00_214; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1092z00_213)))->BgL_targetz00)=((obj_t)BgL_targetz00_6),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1092z00_213))->BgL_codez00)=((int)BgL_codez00_7),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1092z00_213))->BgL_messagez00)=((char *)BgL_msgz00_8),BUNSPEC); 
return 
((obj_t)BgL_new1092z00_213);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-error-new */
obj_t BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_418, obj_t BgL_targetz00_419, obj_t BgL_codez00_420, obj_t BgL_msgz00_421)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 147 */
{ /* Llib/pdgevent.scm 148 */
char * BgL_auxz00_756;int BgL_auxz00_747;
{ /* Llib/pdgevent.scm 148 */
obj_t BgL_tmpz00_757;
if(
STRINGP(BgL_msgz00_421))
{ /* Llib/pdgevent.scm 148 */
BgL_tmpz00_757 = BgL_msgz00_421
; }  else 
{ 
obj_t BgL_auxz00_760;
BgL_auxz00_760 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)7781)), BGl_string1368z00zz__phidget_eventz00, BGl_string1370z00zz__phidget_eventz00, BgL_msgz00_421); 
FAILURE(BgL_auxz00_760,BFALSE,BFALSE);} 
BgL_auxz00_756 = 
BSTRING_TO_STRING(BgL_tmpz00_757); } 
{ /* Llib/pdgevent.scm 148 */
obj_t BgL_tmpz00_748;
if(
INTEGERP(BgL_codez00_420))
{ /* Llib/pdgevent.scm 148 */
BgL_tmpz00_748 = BgL_codez00_420
; }  else 
{ 
obj_t BgL_auxz00_751;
BgL_auxz00_751 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)7781)), BGl_string1368z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_codez00_420); 
FAILURE(BgL_auxz00_751,BFALSE,BFALSE);} 
BgL_auxz00_747 = 
CINT(BgL_tmpz00_748); } 
return 
bgl_phidget_event_error_new(BgL_targetz00_419, BgL_auxz00_747, BgL_auxz00_756);} } 
BGL_FUNCTION_END;
}



/* phidget-event-attach-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_attach_new(obj_t BgL_targetz00_9, CPhidgetHandle BgL_phidz00_10)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 156 */
{ /* Llib/pdgevent.scm 157 */
BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1094z00_220;
{ /* Llib/pdgevent.scm 158 */
BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1093z00_221;
BgL_new1093z00_221 = 
((BgL_phidgetzd2attachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2attachzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 158 */
long BgL_arg1151z00_222;
{ /* Llib/pdgevent.scm 158 */
long BgL_res1215z00_224;
BgL_res1215z00_224 = 
BGL_CLASS_INDEX(BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00); 
BgL_arg1151z00_222 = BgL_res1215z00_224; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_221), BgL_arg1151z00_222); } 
BgL_new1094z00_220 = BgL_new1093z00_221; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1094z00_220)))->BgL_targetz00)=((obj_t)BgL_targetz00_9),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1094z00_220)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_10))),BUNSPEC); 
return 
((obj_t)BgL_new1094z00_220);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-attach-new */
obj_t BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_422, obj_t BgL_targetz00_423, obj_t BgL_phidz00_424)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 156 */
{ /* Llib/pdgevent.scm 157 */
CPhidgetHandle BgL_auxz00_777;
if(
FOREIGNP(BgL_phidz00_424))
{ /* Llib/pdgevent.scm 157 */
BgL_auxz00_777 = 
FOREIGN_TO_COBJ(BgL_phidz00_424)
; }  else 
{ 
obj_t BgL_auxz00_781;
BgL_auxz00_781 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)8164)), BGl_string1371z00zz__phidget_eventz00, BGl_string1372z00zz__phidget_eventz00, BgL_phidz00_424); 
FAILURE(BgL_auxz00_781,BFALSE,BFALSE);} 
return 
bgl_phidget_event_attach_new(BgL_targetz00_423, BgL_auxz00_777);} } 
BGL_FUNCTION_END;
}



/* phidget-event-detach-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_detach_new(obj_t BgL_targetz00_11, CPhidgetHandle BgL_phidz00_12)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 164 */
{ /* Llib/pdgevent.scm 165 */
BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1096z00_227;
{ /* Llib/pdgevent.scm 166 */
BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1095z00_228;
BgL_new1095z00_228 = 
((BgL_phidgetzd2detachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2detachzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 166 */
long BgL_arg1152z00_229;
{ /* Llib/pdgevent.scm 166 */
long BgL_res1216z00_231;
BgL_res1216z00_231 = 
BGL_CLASS_INDEX(BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00); 
BgL_arg1152z00_229 = BgL_res1216z00_231; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1095z00_228), BgL_arg1152z00_229); } 
BgL_new1096z00_227 = BgL_new1095z00_228; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1096z00_227)))->BgL_targetz00)=((obj_t)BgL_targetz00_11),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1096z00_227)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_12))),BUNSPEC); 
return 
((obj_t)BgL_new1096z00_227);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-detach-new */
obj_t BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_425, obj_t BgL_targetz00_426, obj_t BgL_phidz00_427)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 164 */
{ /* Llib/pdgevent.scm 165 */
CPhidgetHandle BgL_auxz00_797;
if(
FOREIGNP(BgL_phidz00_427))
{ /* Llib/pdgevent.scm 165 */
BgL_auxz00_797 = 
FOREIGN_TO_COBJ(BgL_phidz00_427)
; }  else 
{ 
obj_t BgL_auxz00_801;
BgL_auxz00_801 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)8547)), BGl_string1373z00zz__phidget_eventz00, BGl_string1372z00zz__phidget_eventz00, BgL_phidz00_427); 
FAILURE(BgL_auxz00_801,BFALSE,BFALSE);} 
return 
bgl_phidget_event_detach_new(BgL_targetz00_426, BgL_auxz00_797);} } 
BGL_FUNCTION_END;
}



/* phidget-event-inputchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_inputchange_new(obj_t BgL_targetz00_13, int BgL_indexz00_14, bool_t BgL_statez00_15)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 172 */
{ /* Llib/pdgevent.scm 173 */
BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1098z00_234;
{ /* Llib/pdgevent.scm 174 */
BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1097z00_235;
BgL_new1097z00_235 = 
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2inputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 174 */
long BgL_arg1153z00_236;
{ /* Llib/pdgevent.scm 174 */
long BgL_res1217z00_238;
BgL_res1217z00_238 = 
BGL_CLASS_INDEX(BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00); 
BgL_arg1153z00_236 = BgL_res1217z00_238; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_235), BgL_arg1153z00_236); } 
BgL_new1098z00_234 = BgL_new1097z00_235; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1098z00_234)))->BgL_targetz00)=((obj_t)BgL_targetz00_13),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1098z00_234)))->BgL_indexz00)=((int)BgL_indexz00_14),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(BgL_new1098z00_234))->BgL_statez00)=((bool_t)BgL_statez00_15),BUNSPEC); 
return 
((obj_t)BgL_new1098z00_234);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-inputchange-new */
obj_t BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_428, obj_t BgL_targetz00_429, obj_t BgL_indexz00_430, obj_t BgL_statez00_431)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 172 */
{ /* Llib/pdgevent.scm 173 */
int BgL_auxz00_816;
{ /* Llib/pdgevent.scm 173 */
obj_t BgL_tmpz00_817;
if(
INTEGERP(BgL_indexz00_430))
{ /* Llib/pdgevent.scm 173 */
BgL_tmpz00_817 = BgL_indexz00_430
; }  else 
{ 
obj_t BgL_auxz00_820;
BgL_auxz00_820 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)8939)), BGl_string1374z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_430); 
FAILURE(BgL_auxz00_820,BFALSE,BFALSE);} 
BgL_auxz00_816 = 
CINT(BgL_tmpz00_817); } 
return 
bgl_phidget_event_inputchange_new(BgL_targetz00_429, BgL_auxz00_816, 
CBOOL(BgL_statez00_431));} } 
BGL_FUNCTION_END;
}



/* phidget-event-outputchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_outputchange_new(obj_t BgL_targetz00_16, int BgL_indexz00_17, bool_t BgL_statez00_18)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 181 */
{ /* Llib/pdgevent.scm 182 */
BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1100z00_241;
{ /* Llib/pdgevent.scm 183 */
BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1099z00_242;
BgL_new1099z00_242 = 
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2outputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 183 */
long BgL_arg1154z00_243;
{ /* Llib/pdgevent.scm 183 */
long BgL_res1218z00_245;
BgL_res1218z00_245 = 
BGL_CLASS_INDEX(BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00); 
BgL_arg1154z00_243 = BgL_res1218z00_245; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_242), BgL_arg1154z00_243); } 
BgL_new1100z00_241 = BgL_new1099z00_242; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1100z00_241)))->BgL_targetz00)=((obj_t)BgL_targetz00_16),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1100z00_241)))->BgL_indexz00)=((int)BgL_indexz00_17),BUNSPEC); 
((((BgL_phidgetzd2outputchangezd2eventz00_bglt)COBJECT(BgL_new1100z00_241))->BgL_statez00)=((bool_t)BgL_statez00_18),BUNSPEC); 
return 
((obj_t)BgL_new1100z00_241);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-outputchange-new */
obj_t BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_432, obj_t BgL_targetz00_433, obj_t BgL_indexz00_434, obj_t BgL_statez00_435)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 181 */
{ /* Llib/pdgevent.scm 182 */
int BgL_auxz00_837;
{ /* Llib/pdgevent.scm 182 */
obj_t BgL_tmpz00_838;
if(
INTEGERP(BgL_indexz00_434))
{ /* Llib/pdgevent.scm 182 */
BgL_tmpz00_838 = BgL_indexz00_434
; }  else 
{ 
obj_t BgL_auxz00_841;
BgL_auxz00_841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)9340)), BGl_string1375z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_434); 
FAILURE(BgL_auxz00_841,BFALSE,BFALSE);} 
BgL_auxz00_837 = 
CINT(BgL_tmpz00_838); } 
return 
bgl_phidget_event_outputchange_new(BgL_targetz00_433, BgL_auxz00_837, 
CBOOL(BgL_statez00_435));} } 
BGL_FUNCTION_END;
}



/* phidget-event-sensorchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_sensorchange_new(obj_t BgL_targetz00_19, int BgL_indexz00_20, int BgL_statez00_21)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 190 */
{ /* Llib/pdgevent.scm 191 */
BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1102z00_248;
{ /* Llib/pdgevent.scm 192 */
BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1101z00_249;
BgL_new1101z00_249 = 
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2sensorchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 192 */
long BgL_arg1155z00_250;
{ /* Llib/pdgevent.scm 192 */
long BgL_res1219z00_252;
BgL_res1219z00_252 = 
BGL_CLASS_INDEX(BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00); 
BgL_arg1155z00_250 = BgL_res1219z00_252; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_249), BgL_arg1155z00_250); } 
BgL_new1102z00_248 = BgL_new1101z00_249; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1102z00_248)))->BgL_targetz00)=((obj_t)BgL_targetz00_19),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1102z00_248)))->BgL_indexz00)=((int)BgL_indexz00_20),BUNSPEC); 
((((BgL_phidgetzd2sensorchangezd2eventz00_bglt)COBJECT(BgL_new1102z00_248))->BgL_statez00)=((int)BgL_statez00_21),BUNSPEC); 
return 
((obj_t)BgL_new1102z00_248);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-sensorchange-new */
obj_t BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_436, obj_t BgL_targetz00_437, obj_t BgL_indexz00_438, obj_t BgL_statez00_439)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 190 */
{ /* Llib/pdgevent.scm 191 */
int BgL_auxz00_867;int BgL_auxz00_858;
{ /* Llib/pdgevent.scm 191 */
obj_t BgL_tmpz00_868;
if(
INTEGERP(BgL_statez00_439))
{ /* Llib/pdgevent.scm 191 */
BgL_tmpz00_868 = BgL_statez00_439
; }  else 
{ 
obj_t BgL_auxz00_871;
BgL_auxz00_871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)9741)), BGl_string1376z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_statez00_439); 
FAILURE(BgL_auxz00_871,BFALSE,BFALSE);} 
BgL_auxz00_867 = 
CINT(BgL_tmpz00_868); } 
{ /* Llib/pdgevent.scm 191 */
obj_t BgL_tmpz00_859;
if(
INTEGERP(BgL_indexz00_438))
{ /* Llib/pdgevent.scm 191 */
BgL_tmpz00_859 = BgL_indexz00_438
; }  else 
{ 
obj_t BgL_auxz00_862;
BgL_auxz00_862 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)9741)), BGl_string1376z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_438); 
FAILURE(BgL_auxz00_862,BFALSE,BFALSE);} 
BgL_auxz00_858 = 
CINT(BgL_tmpz00_859); } 
return 
bgl_phidget_event_sensorchange_new(BgL_targetz00_437, BgL_auxz00_858, BgL_auxz00_867);} } 
BGL_FUNCTION_END;
}



/* phidget-event-serverconnect-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_serverconnect_new(obj_t BgL_targetz00_22, CPhidgetHandle BgL_phidz00_23)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 199 */
{ /* Llib/pdgevent.scm 200 */
BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1105z00_255;
{ /* Llib/pdgevent.scm 201 */
BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1104z00_256;
BgL_new1104z00_256 = 
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 201 */
long BgL_arg1156z00_257;
{ /* Llib/pdgevent.scm 201 */
long BgL_res1220z00_259;
BgL_res1220z00_259 = 
BGL_CLASS_INDEX(BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00); 
BgL_arg1156z00_257 = BgL_res1220z00_259; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_256), BgL_arg1156z00_257); } 
BgL_new1105z00_255 = BgL_new1104z00_256; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1105z00_255)))->BgL_targetz00)=((obj_t)BgL_targetz00_22),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1105z00_255)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_23))),BUNSPEC); 
return 
((obj_t)BgL_new1105z00_255);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-serverconnect-new */
obj_t BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_440, obj_t BgL_targetz00_441, obj_t BgL_phidz00_442)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 199 */
{ /* Llib/pdgevent.scm 200 */
CPhidgetHandle BgL_auxz00_888;
if(
FOREIGNP(BgL_phidz00_442))
{ /* Llib/pdgevent.scm 200 */
BgL_auxz00_888 = 
FOREIGN_TO_COBJ(BgL_phidz00_442)
; }  else 
{ 
obj_t BgL_auxz00_892;
BgL_auxz00_892 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10140)), BGl_string1377z00zz__phidget_eventz00, BGl_string1372z00zz__phidget_eventz00, BgL_phidz00_442); 
FAILURE(BgL_auxz00_892,BFALSE,BFALSE);} 
return 
bgl_phidget_event_serverconnect_new(BgL_targetz00_441, BgL_auxz00_888);} } 
BGL_FUNCTION_END;
}



/* phidget-event-serverdisconnect-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_serverdisconnect_new(obj_t BgL_targetz00_24, CPhidgetHandle BgL_phidz00_25)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 207 */
{ /* Llib/pdgevent.scm 208 */
BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1107z00_262;
{ /* Llib/pdgevent.scm 209 */
BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1106z00_263;
BgL_new1106z00_263 = 
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 209 */
long BgL_arg1157z00_264;
{ /* Llib/pdgevent.scm 209 */
long BgL_res1221z00_266;
BgL_res1221z00_266 = 
BGL_CLASS_INDEX(BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00); 
BgL_arg1157z00_264 = BgL_res1221z00_266; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_263), BgL_arg1157z00_264); } 
BgL_new1107z00_262 = BgL_new1106z00_263; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1107z00_262)))->BgL_targetz00)=((obj_t)BgL_targetz00_24),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1107z00_262)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_25))),BUNSPEC); 
return 
((obj_t)BgL_new1107z00_262);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-serverdisconnect-new */
obj_t BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_443, obj_t BgL_targetz00_444, obj_t BgL_phidz00_445)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 207 */
{ /* Llib/pdgevent.scm 208 */
CPhidgetHandle BgL_auxz00_908;
if(
FOREIGNP(BgL_phidz00_445))
{ /* Llib/pdgevent.scm 208 */
BgL_auxz00_908 = 
FOREIGN_TO_COBJ(BgL_phidz00_445)
; }  else 
{ 
obj_t BgL_auxz00_912;
BgL_auxz00_912 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10540)), BGl_string1378z00zz__phidget_eventz00, BGl_string1372z00zz__phidget_eventz00, BgL_phidz00_445); 
FAILURE(BgL_auxz00_912,BFALSE,BFALSE);} 
return 
bgl_phidget_event_serverdisconnect_new(BgL_targetz00_444, BgL_auxz00_908);} } 
BGL_FUNCTION_END;
}



/* phidget-event-spatialdata-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_spatialdata_new(obj_t BgL_targetz00_26, int BgL_sz00_27, int BgL_msz00_28, double BgL_acxz00_29, double BgL_acyz00_30, double BgL_acza7za7_31, double BgL_anxz00_32, double BgL_anyz00_33, double BgL_anza7za7_34, double BgL_mfxz00_35, double BgL_mfyz00_36, double BgL_mfza7za7_37)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 215 */
{ /* Llib/pdgevent.scm 216 */
BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1109z00_269;
{ /* Llib/pdgevent.scm 217 */
BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1108z00_270;
BgL_new1108z00_270 = 
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2spatialdatazd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 217 */
long BgL_arg1158z00_271;
{ /* Llib/pdgevent.scm 217 */
long BgL_res1222z00_273;
BgL_res1222z00_273 = 
BGL_CLASS_INDEX(BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00); 
BgL_arg1158z00_271 = BgL_res1222z00_273; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_270), BgL_arg1158z00_271); } 
BgL_new1109z00_269 = BgL_new1108z00_270; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1109z00_269)))->BgL_targetz00)=((obj_t)BgL_targetz00_26),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_secondsz00)=((int)BgL_sz00_27),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_microsecondsz00)=((int)BgL_msz00_28),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_acxz00)=((double)BgL_acxz00_29),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_acyz00)=((double)BgL_acyz00_30),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_acza7za7)=((double)BgL_acza7za7_31),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_anxz00)=((double)BgL_anxz00_32),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_anyz00)=((double)BgL_anyz00_33),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_anza7za7)=((double)BgL_anza7za7_34),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_mfxz00)=((double)BgL_mfxz00_35),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_mfyz00)=((double)BgL_mfyz00_36),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_269))->BgL_mfza7za7)=((double)BgL_mfza7za7_37),BUNSPEC); 
return 
((obj_t)BgL_new1109z00_269);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-spatialdata-new */
obj_t BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_446, obj_t BgL_targetz00_447, obj_t BgL_sz00_448, obj_t BgL_msz00_449, obj_t BgL_acxz00_450, obj_t BgL_acyz00_451, obj_t BgL_acza7za7_452, obj_t BgL_anxz00_453, obj_t BgL_anyz00_454, obj_t BgL_anza7za7_455, obj_t BgL_mfxz00_456, obj_t BgL_mfyz00_457, obj_t BgL_mfza7za7_458)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 215 */
{ /* Llib/pdgevent.scm 216 */
double BgL_auxz00_1025;double BgL_auxz00_1016;double BgL_auxz00_1007;double BgL_auxz00_998;double BgL_auxz00_989;double BgL_auxz00_980;double BgL_auxz00_971;double BgL_auxz00_962;double BgL_auxz00_953;int BgL_auxz00_944;int BgL_auxz00_935;
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_1026;
if(
REALP(BgL_mfza7za7_458))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1026 = BgL_mfza7za7_458
; }  else 
{ 
obj_t BgL_auxz00_1029;
BgL_auxz00_1029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_mfza7za7_458); 
FAILURE(BgL_auxz00_1029,BFALSE,BFALSE);} 
BgL_auxz00_1025 = 
REAL_TO_DOUBLE(BgL_tmpz00_1026); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_1017;
if(
REALP(BgL_mfyz00_457))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1017 = BgL_mfyz00_457
; }  else 
{ 
obj_t BgL_auxz00_1020;
BgL_auxz00_1020 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_mfyz00_457); 
FAILURE(BgL_auxz00_1020,BFALSE,BFALSE);} 
BgL_auxz00_1016 = 
REAL_TO_DOUBLE(BgL_tmpz00_1017); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_1008;
if(
REALP(BgL_mfxz00_456))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1008 = BgL_mfxz00_456
; }  else 
{ 
obj_t BgL_auxz00_1011;
BgL_auxz00_1011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_mfxz00_456); 
FAILURE(BgL_auxz00_1011,BFALSE,BFALSE);} 
BgL_auxz00_1007 = 
REAL_TO_DOUBLE(BgL_tmpz00_1008); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_999;
if(
REALP(BgL_anza7za7_455))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_999 = BgL_anza7za7_455
; }  else 
{ 
obj_t BgL_auxz00_1002;
BgL_auxz00_1002 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_anza7za7_455); 
FAILURE(BgL_auxz00_1002,BFALSE,BFALSE);} 
BgL_auxz00_998 = 
REAL_TO_DOUBLE(BgL_tmpz00_999); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_990;
if(
REALP(BgL_anyz00_454))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_990 = BgL_anyz00_454
; }  else 
{ 
obj_t BgL_auxz00_993;
BgL_auxz00_993 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_anyz00_454); 
FAILURE(BgL_auxz00_993,BFALSE,BFALSE);} 
BgL_auxz00_989 = 
REAL_TO_DOUBLE(BgL_tmpz00_990); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_981;
if(
REALP(BgL_anxz00_453))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_981 = BgL_anxz00_453
; }  else 
{ 
obj_t BgL_auxz00_984;
BgL_auxz00_984 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_anxz00_453); 
FAILURE(BgL_auxz00_984,BFALSE,BFALSE);} 
BgL_auxz00_980 = 
REAL_TO_DOUBLE(BgL_tmpz00_981); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_972;
if(
REALP(BgL_acza7za7_452))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_972 = BgL_acza7za7_452
; }  else 
{ 
obj_t BgL_auxz00_975;
BgL_auxz00_975 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_acza7za7_452); 
FAILURE(BgL_auxz00_975,BFALSE,BFALSE);} 
BgL_auxz00_971 = 
REAL_TO_DOUBLE(BgL_tmpz00_972); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_963;
if(
REALP(BgL_acyz00_451))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_963 = BgL_acyz00_451
; }  else 
{ 
obj_t BgL_auxz00_966;
BgL_auxz00_966 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_acyz00_451); 
FAILURE(BgL_auxz00_966,BFALSE,BFALSE);} 
BgL_auxz00_962 = 
REAL_TO_DOUBLE(BgL_tmpz00_963); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_954;
if(
REALP(BgL_acxz00_450))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_954 = BgL_acxz00_450
; }  else 
{ 
obj_t BgL_auxz00_957;
BgL_auxz00_957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_acxz00_450); 
FAILURE(BgL_auxz00_957,BFALSE,BFALSE);} 
BgL_auxz00_953 = 
REAL_TO_DOUBLE(BgL_tmpz00_954); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_945;
if(
INTEGERP(BgL_msz00_449))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_945 = BgL_msz00_449
; }  else 
{ 
obj_t BgL_auxz00_948;
BgL_auxz00_948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_msz00_449); 
FAILURE(BgL_auxz00_948,BFALSE,BFALSE);} 
BgL_auxz00_944 = 
CINT(BgL_tmpz00_945); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_936;
if(
INTEGERP(BgL_sz00_448))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_936 = BgL_sz00_448
; }  else 
{ 
obj_t BgL_auxz00_939;
BgL_auxz00_939 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1379z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_sz00_448); 
FAILURE(BgL_auxz00_939,BFALSE,BFALSE);} 
BgL_auxz00_935 = 
CINT(BgL_tmpz00_936); } 
return 
bgl_phidget_event_spatialdata_new(BgL_targetz00_447, BgL_auxz00_935, BgL_auxz00_944, BgL_auxz00_953, BgL_auxz00_962, BgL_auxz00_971, BgL_auxz00_980, BgL_auxz00_989, BgL_auxz00_998, BgL_auxz00_1007, BgL_auxz00_1016, BgL_auxz00_1025);} } 
BGL_FUNCTION_END;
}



/* phidget-event-servoposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servoposition_new(obj_t BgL_targetz00_38, int BgL_indexz00_39, double BgL_positionz00_40)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 233 */
{ /* Llib/pdgevent.scm 234 */
BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1111z00_276;
{ /* Llib/pdgevent.scm 235 */
BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1110z00_277;
BgL_new1110z00_277 = 
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servopositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 235 */
long BgL_arg1159z00_278;
{ /* Llib/pdgevent.scm 235 */
long BgL_res1223z00_280;
BgL_res1223z00_280 = 
BGL_CLASS_INDEX(BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00); 
BgL_arg1159z00_278 = BgL_res1223z00_280; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_277), BgL_arg1159z00_278); } 
BgL_new1111z00_276 = BgL_new1110z00_277; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1111z00_276)))->BgL_targetz00)=((obj_t)BgL_targetz00_38),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1111z00_276))->BgL_indexz00)=((int)BgL_indexz00_39),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1111z00_276))->BgL_positionz00)=((double)BgL_positionz00_40),BUNSPEC); 
return 
((obj_t)BgL_new1111z00_276);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-servoposition-new */
obj_t BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_459, obj_t BgL_targetz00_460, obj_t BgL_indexz00_461, obj_t BgL_positionz00_462)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 233 */
{ /* Llib/pdgevent.scm 234 */
double BgL_auxz00_1053;int BgL_auxz00_1044;
{ /* Llib/pdgevent.scm 234 */
obj_t BgL_tmpz00_1054;
if(
REALP(BgL_positionz00_462))
{ /* Llib/pdgevent.scm 234 */
BgL_tmpz00_1054 = BgL_positionz00_462
; }  else 
{ 
obj_t BgL_auxz00_1057;
BgL_auxz00_1057 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)11506)), BGl_string1381z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_positionz00_462); 
FAILURE(BgL_auxz00_1057,BFALSE,BFALSE);} 
BgL_auxz00_1053 = 
REAL_TO_DOUBLE(BgL_tmpz00_1054); } 
{ /* Llib/pdgevent.scm 234 */
obj_t BgL_tmpz00_1045;
if(
INTEGERP(BgL_indexz00_461))
{ /* Llib/pdgevent.scm 234 */
BgL_tmpz00_1045 = BgL_indexz00_461
; }  else 
{ 
obj_t BgL_auxz00_1048;
BgL_auxz00_1048 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)11506)), BGl_string1381z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_461); 
FAILURE(BgL_auxz00_1048,BFALSE,BFALSE);} 
BgL_auxz00_1044 = 
CINT(BgL_tmpz00_1045); } 
return 
bgl_phidget_event_servoposition_new(BgL_targetz00_460, BgL_auxz00_1044, BgL_auxz00_1053);} } 
BGL_FUNCTION_END;
}



/* phidget-event-servovelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servovelocity_new(obj_t BgL_targetz00_41, int BgL_indexz00_42, double BgL_velocityz00_43)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 242 */
{ /* Llib/pdgevent.scm 243 */
BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1113z00_283;
{ /* Llib/pdgevent.scm 244 */
BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1112z00_284;
BgL_new1112z00_284 = 
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servovelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 244 */
long BgL_arg1162z00_285;
{ /* Llib/pdgevent.scm 244 */
long BgL_res1224z00_287;
BgL_res1224z00_287 = 
BGL_CLASS_INDEX(BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00); 
BgL_arg1162z00_285 = BgL_res1224z00_287; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_284), BgL_arg1162z00_285); } 
BgL_new1113z00_283 = BgL_new1112z00_284; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1113z00_283)))->BgL_targetz00)=((obj_t)BgL_targetz00_41),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1113z00_283))->BgL_indexz00)=((int)BgL_indexz00_42),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1113z00_283))->BgL_velocityz00)=((double)BgL_velocityz00_43),BUNSPEC); 
return 
((obj_t)BgL_new1113z00_283);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-servovelocity-new */
obj_t BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_463, obj_t BgL_targetz00_464, obj_t BgL_indexz00_465, obj_t BgL_velocityz00_466)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 242 */
{ /* Llib/pdgevent.scm 243 */
double BgL_auxz00_1081;int BgL_auxz00_1072;
{ /* Llib/pdgevent.scm 243 */
obj_t BgL_tmpz00_1082;
if(
REALP(BgL_velocityz00_466))
{ /* Llib/pdgevent.scm 243 */
BgL_tmpz00_1082 = BgL_velocityz00_466
; }  else 
{ 
obj_t BgL_auxz00_1085;
BgL_auxz00_1085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)11908)), BGl_string1382z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_velocityz00_466); 
FAILURE(BgL_auxz00_1085,BFALSE,BFALSE);} 
BgL_auxz00_1081 = 
REAL_TO_DOUBLE(BgL_tmpz00_1082); } 
{ /* Llib/pdgevent.scm 243 */
obj_t BgL_tmpz00_1073;
if(
INTEGERP(BgL_indexz00_465))
{ /* Llib/pdgevent.scm 243 */
BgL_tmpz00_1073 = BgL_indexz00_465
; }  else 
{ 
obj_t BgL_auxz00_1076;
BgL_auxz00_1076 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)11908)), BGl_string1382z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_465); 
FAILURE(BgL_auxz00_1076,BFALSE,BFALSE);} 
BgL_auxz00_1072 = 
CINT(BgL_tmpz00_1073); } 
return 
bgl_phidget_event_servovelocity_new(BgL_targetz00_464, BgL_auxz00_1072, BgL_auxz00_1081);} } 
BGL_FUNCTION_END;
}



/* phidget-event-servocurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servocurrent_new(obj_t BgL_targetz00_44, int BgL_indexz00_45, double BgL_currentz00_46)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 251 */
{ /* Llib/pdgevent.scm 252 */
BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1115z00_290;
{ /* Llib/pdgevent.scm 253 */
BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1114z00_291;
BgL_new1114z00_291 = 
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servocurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 253 */
long BgL_arg1163z00_292;
{ /* Llib/pdgevent.scm 253 */
long BgL_res1225z00_294;
BgL_res1225z00_294 = 
BGL_CLASS_INDEX(BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00); 
BgL_arg1163z00_292 = BgL_res1225z00_294; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_291), BgL_arg1163z00_292); } 
BgL_new1115z00_290 = BgL_new1114z00_291; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1115z00_290)))->BgL_targetz00)=((obj_t)BgL_targetz00_44),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1115z00_290))->BgL_indexz00)=((int)BgL_indexz00_45),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1115z00_290))->BgL_currentz00)=((double)BgL_currentz00_46),BUNSPEC); 
return 
((obj_t)BgL_new1115z00_290);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-servocurrent-new */
obj_t BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_467, obj_t BgL_targetz00_468, obj_t BgL_indexz00_469, obj_t BgL_currentz00_470)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 251 */
{ /* Llib/pdgevent.scm 252 */
double BgL_auxz00_1109;int BgL_auxz00_1100;
{ /* Llib/pdgevent.scm 252 */
obj_t BgL_tmpz00_1110;
if(
REALP(BgL_currentz00_470))
{ /* Llib/pdgevent.scm 252 */
BgL_tmpz00_1110 = BgL_currentz00_470
; }  else 
{ 
obj_t BgL_auxz00_1113;
BgL_auxz00_1113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)12308)), BGl_string1383z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_currentz00_470); 
FAILURE(BgL_auxz00_1113,BFALSE,BFALSE);} 
BgL_auxz00_1109 = 
REAL_TO_DOUBLE(BgL_tmpz00_1110); } 
{ /* Llib/pdgevent.scm 252 */
obj_t BgL_tmpz00_1101;
if(
INTEGERP(BgL_indexz00_469))
{ /* Llib/pdgevent.scm 252 */
BgL_tmpz00_1101 = BgL_indexz00_469
; }  else 
{ 
obj_t BgL_auxz00_1104;
BgL_auxz00_1104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)12308)), BGl_string1383z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_469); 
FAILURE(BgL_auxz00_1104,BFALSE,BFALSE);} 
BgL_auxz00_1100 = 
CINT(BgL_tmpz00_1101); } 
return 
bgl_phidget_event_servocurrent_new(BgL_targetz00_468, BgL_auxz00_1100, BgL_auxz00_1109);} } 
BGL_FUNCTION_END;
}



/* phidget-event-stepperinput-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_stepperinput_new(obj_t BgL_targetz00_47, int BgL_indexz00_48, int BgL_statez00_49)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 260 */
{ /* Llib/pdgevent.scm 261 */
BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1117z00_297;
{ /* Llib/pdgevent.scm 262 */
BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1116z00_298;
BgL_new1116z00_298 = 
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 262 */
long BgL_arg1165z00_299;
{ /* Llib/pdgevent.scm 262 */
long BgL_res1226z00_301;
BgL_res1226z00_301 = 
BGL_CLASS_INDEX(BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00); 
BgL_arg1165z00_299 = BgL_res1226z00_301; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_298), BgL_arg1165z00_299); } 
BgL_new1117z00_297 = BgL_new1116z00_298; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1117z00_297)))->BgL_targetz00)=((obj_t)BgL_targetz00_47),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1117z00_297)))->BgL_indexz00)=((int)BgL_indexz00_48),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1117z00_297)))->BgL_statez00)=((bool_t)((bool_t)1)),BUNSPEC); 
return 
((obj_t)BgL_new1117z00_297);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-stepperinput-new */
obj_t BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_471, obj_t BgL_targetz00_472, obj_t BgL_indexz00_473, obj_t BgL_statez00_474)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 260 */
{ /* Llib/pdgevent.scm 261 */
int BgL_auxz00_1139;int BgL_auxz00_1130;
{ /* Llib/pdgevent.scm 261 */
obj_t BgL_tmpz00_1140;
if(
INTEGERP(BgL_statez00_474))
{ /* Llib/pdgevent.scm 261 */
BgL_tmpz00_1140 = BgL_statez00_474
; }  else 
{ 
obj_t BgL_auxz00_1143;
BgL_auxz00_1143 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)12703)), BGl_string1384z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_statez00_474); 
FAILURE(BgL_auxz00_1143,BFALSE,BFALSE);} 
BgL_auxz00_1139 = 
CINT(BgL_tmpz00_1140); } 
{ /* Llib/pdgevent.scm 261 */
obj_t BgL_tmpz00_1131;
if(
INTEGERP(BgL_indexz00_473))
{ /* Llib/pdgevent.scm 261 */
BgL_tmpz00_1131 = BgL_indexz00_473
; }  else 
{ 
obj_t BgL_auxz00_1134;
BgL_auxz00_1134 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)12703)), BGl_string1384z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_473); 
FAILURE(BgL_auxz00_1134,BFALSE,BFALSE);} 
BgL_auxz00_1130 = 
CINT(BgL_tmpz00_1131); } 
return 
bgl_phidget_event_stepperinput_new(BgL_targetz00_472, BgL_auxz00_1130, BgL_auxz00_1139);} } 
BGL_FUNCTION_END;
}



/* phidget-event-steppervelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_steppervelocity_new(obj_t BgL_targetz00_50, int BgL_indexz00_51, double BgL_velocityz00_52)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 269 */
{ /* Llib/pdgevent.scm 270 */
BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1119z00_304;
{ /* Llib/pdgevent.scm 271 */
BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1118z00_305;
BgL_new1118z00_305 = 
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 271 */
long BgL_arg1166z00_306;
{ /* Llib/pdgevent.scm 271 */
long BgL_res1227z00_308;
BgL_res1227z00_308 = 
BGL_CLASS_INDEX(BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00); 
BgL_arg1166z00_306 = BgL_res1227z00_308; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_305), BgL_arg1166z00_306); } 
BgL_new1119z00_304 = BgL_new1118z00_305; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1119z00_304)))->BgL_targetz00)=((obj_t)BgL_targetz00_50),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1119z00_304))->BgL_indexz00)=((int)BgL_indexz00_51),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1119z00_304))->BgL_velocityz00)=((double)BgL_velocityz00_52),BUNSPEC); 
return 
((obj_t)BgL_new1119z00_304);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-steppervelocity-new */
obj_t BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_475, obj_t BgL_targetz00_476, obj_t BgL_indexz00_477, obj_t BgL_velocityz00_478)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 269 */
{ /* Llib/pdgevent.scm 270 */
double BgL_auxz00_1167;int BgL_auxz00_1158;
{ /* Llib/pdgevent.scm 270 */
obj_t BgL_tmpz00_1168;
if(
REALP(BgL_velocityz00_478))
{ /* Llib/pdgevent.scm 270 */
BgL_tmpz00_1168 = BgL_velocityz00_478
; }  else 
{ 
obj_t BgL_auxz00_1171;
BgL_auxz00_1171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)13103)), BGl_string1385z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_velocityz00_478); 
FAILURE(BgL_auxz00_1171,BFALSE,BFALSE);} 
BgL_auxz00_1167 = 
REAL_TO_DOUBLE(BgL_tmpz00_1168); } 
{ /* Llib/pdgevent.scm 270 */
obj_t BgL_tmpz00_1159;
if(
INTEGERP(BgL_indexz00_477))
{ /* Llib/pdgevent.scm 270 */
BgL_tmpz00_1159 = BgL_indexz00_477
; }  else 
{ 
obj_t BgL_auxz00_1162;
BgL_auxz00_1162 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)13103)), BGl_string1385z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_477); 
FAILURE(BgL_auxz00_1162,BFALSE,BFALSE);} 
BgL_auxz00_1158 = 
CINT(BgL_tmpz00_1159); } 
return 
bgl_phidget_event_steppervelocity_new(BgL_targetz00_476, BgL_auxz00_1158, BgL_auxz00_1167);} } 
BGL_FUNCTION_END;
}



/* phidget-event-stepperposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_stepperposition_new(obj_t BgL_targetz00_53, int BgL_indexz00_54, BGL_LONGLONG_T BgL_positionz00_55)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 278 */
{ /* Llib/pdgevent.scm 279 */
BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1121z00_311;
{ /* Llib/pdgevent.scm 280 */
BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1120z00_312;
BgL_new1120z00_312 = 
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 280 */
long BgL_arg1167z00_313;
{ /* Llib/pdgevent.scm 280 */
long BgL_res1228z00_315;
BgL_res1228z00_315 = 
BGL_CLASS_INDEX(BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00); 
BgL_arg1167z00_313 = BgL_res1228z00_315; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_312), BgL_arg1167z00_313); } 
BgL_new1121z00_311 = BgL_new1120z00_312; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1121z00_311)))->BgL_targetz00)=((obj_t)BgL_targetz00_53),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1121z00_311))->BgL_indexz00)=((int)BgL_indexz00_54),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1121z00_311))->BgL_positionz00)=((BGL_LONGLONG_T)BgL_positionz00_55),BUNSPEC); 
return 
((obj_t)BgL_new1121z00_311);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-stepperposition-new */
obj_t BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_479, obj_t BgL_targetz00_480, obj_t BgL_indexz00_481, obj_t BgL_positionz00_482)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 278 */
{ /* Llib/pdgevent.scm 279 */
BGL_LONGLONG_T BgL_auxz00_1195;int BgL_auxz00_1186;
{ /* Llib/pdgevent.scm 279 */
obj_t BgL_tmpz00_1196;
if(
LLONGP(BgL_positionz00_482))
{ /* Llib/pdgevent.scm 279 */
BgL_tmpz00_1196 = BgL_positionz00_482
; }  else 
{ 
obj_t BgL_auxz00_1199;
BgL_auxz00_1199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)13512)), BGl_string1386z00zz__phidget_eventz00, BGl_string1387z00zz__phidget_eventz00, BgL_positionz00_482); 
FAILURE(BgL_auxz00_1199,BFALSE,BFALSE);} 
BgL_auxz00_1195 = 
BLLONG_TO_LLONG(BgL_tmpz00_1196); } 
{ /* Llib/pdgevent.scm 279 */
obj_t BgL_tmpz00_1187;
if(
INTEGERP(BgL_indexz00_481))
{ /* Llib/pdgevent.scm 279 */
BgL_tmpz00_1187 = BgL_indexz00_481
; }  else 
{ 
obj_t BgL_auxz00_1190;
BgL_auxz00_1190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)13512)), BGl_string1386z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_481); 
FAILURE(BgL_auxz00_1190,BFALSE,BFALSE);} 
BgL_auxz00_1186 = 
CINT(BgL_tmpz00_1187); } 
return 
bgl_phidget_event_stepperposition_new(BgL_targetz00_480, BgL_auxz00_1186, BgL_auxz00_1195);} } 
BGL_FUNCTION_END;
}



/* phidget-event-steppercurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_steppercurrent_new(obj_t BgL_targetz00_56, int BgL_indexz00_57, double BgL_currentz00_58)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 287 */
{ /* Llib/pdgevent.scm 288 */
BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1123z00_318;
{ /* Llib/pdgevent.scm 289 */
BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1122z00_319;
BgL_new1122z00_319 = 
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 289 */
long BgL_arg1168z00_320;
{ /* Llib/pdgevent.scm 289 */
long BgL_res1229z00_322;
BgL_res1229z00_322 = 
BGL_CLASS_INDEX(BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00); 
BgL_arg1168z00_320 = BgL_res1229z00_322; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_319), BgL_arg1168z00_320); } 
BgL_new1123z00_318 = BgL_new1122z00_319; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1123z00_318)))->BgL_targetz00)=((obj_t)BgL_targetz00_56),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1123z00_318))->BgL_indexz00)=((int)BgL_indexz00_57),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1123z00_318))->BgL_currentz00)=((double)BgL_currentz00_58),BUNSPEC); 
return 
((obj_t)BgL_new1123z00_318);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-steppercurrent-new */
obj_t BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_483, obj_t BgL_targetz00_484, obj_t BgL_indexz00_485, obj_t BgL_currentz00_486)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 287 */
{ /* Llib/pdgevent.scm 288 */
double BgL_auxz00_1223;int BgL_auxz00_1214;
{ /* Llib/pdgevent.scm 288 */
obj_t BgL_tmpz00_1224;
if(
REALP(BgL_currentz00_486))
{ /* Llib/pdgevent.scm 288 */
BgL_tmpz00_1224 = BgL_currentz00_486
; }  else 
{ 
obj_t BgL_auxz00_1227;
BgL_auxz00_1227 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)13918)), BGl_string1388z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_currentz00_486); 
FAILURE(BgL_auxz00_1227,BFALSE,BFALSE);} 
BgL_auxz00_1223 = 
REAL_TO_DOUBLE(BgL_tmpz00_1224); } 
{ /* Llib/pdgevent.scm 288 */
obj_t BgL_tmpz00_1215;
if(
INTEGERP(BgL_indexz00_485))
{ /* Llib/pdgevent.scm 288 */
BgL_tmpz00_1215 = BgL_indexz00_485
; }  else 
{ 
obj_t BgL_auxz00_1218;
BgL_auxz00_1218 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)13918)), BGl_string1388z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_485); 
FAILURE(BgL_auxz00_1218,BFALSE,BFALSE);} 
BgL_auxz00_1214 = 
CINT(BgL_tmpz00_1215); } 
return 
bgl_phidget_event_steppercurrent_new(BgL_targetz00_484, BgL_auxz00_1214, BgL_auxz00_1223);} } 
BGL_FUNCTION_END;
}



/* phidget-event-motorcontrolvelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_motorcontrolvelocity_new(obj_t BgL_targetz00_59, int BgL_indexz00_60, double BgL_velocityz00_61)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 296 */
{ /* Llib/pdgevent.scm 297 */
BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1125z00_325;
{ /* Llib/pdgevent.scm 298 */
BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1124z00_326;
BgL_new1124z00_326 = 
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 298 */
long BgL_arg1169z00_327;
{ /* Llib/pdgevent.scm 298 */
long BgL_res1230z00_329;
BgL_res1230z00_329 = 
BGL_CLASS_INDEX(BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00); 
BgL_arg1169z00_327 = BgL_res1230z00_329; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_326), BgL_arg1169z00_327); } 
BgL_new1125z00_325 = BgL_new1124z00_326; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1125z00_325)))->BgL_targetz00)=((obj_t)BgL_targetz00_59),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1125z00_325))->BgL_indexz00)=((int)BgL_indexz00_60),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1125z00_325))->BgL_velocityz00)=((double)BgL_velocityz00_61),BUNSPEC); 
return 
((obj_t)BgL_new1125z00_325);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-motorcontrolvelocity-new */
obj_t BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_487, obj_t BgL_targetz00_488, obj_t BgL_indexz00_489, obj_t BgL_velocityz00_490)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 296 */
{ /* Llib/pdgevent.scm 297 */
double BgL_auxz00_1251;int BgL_auxz00_1242;
{ /* Llib/pdgevent.scm 297 */
obj_t BgL_tmpz00_1252;
if(
REALP(BgL_velocityz00_490))
{ /* Llib/pdgevent.scm 297 */
BgL_tmpz00_1252 = BgL_velocityz00_490
; }  else 
{ 
obj_t BgL_auxz00_1255;
BgL_auxz00_1255 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)14326)), BGl_string1389z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_velocityz00_490); 
FAILURE(BgL_auxz00_1255,BFALSE,BFALSE);} 
BgL_auxz00_1251 = 
REAL_TO_DOUBLE(BgL_tmpz00_1252); } 
{ /* Llib/pdgevent.scm 297 */
obj_t BgL_tmpz00_1243;
if(
INTEGERP(BgL_indexz00_489))
{ /* Llib/pdgevent.scm 297 */
BgL_tmpz00_1243 = BgL_indexz00_489
; }  else 
{ 
obj_t BgL_auxz00_1246;
BgL_auxz00_1246 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)14326)), BGl_string1389z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_489); 
FAILURE(BgL_auxz00_1246,BFALSE,BFALSE);} 
BgL_auxz00_1242 = 
CINT(BgL_tmpz00_1243); } 
return 
bgl_phidget_event_motorcontrolvelocity_new(BgL_targetz00_488, BgL_auxz00_1242, BgL_auxz00_1251);} } 
BGL_FUNCTION_END;
}



/* phidget-event-motorcontrolcurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_motorcontrolcurrent_new(obj_t BgL_targetz00_62, int BgL_indexz00_63, double BgL_currentz00_64)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 305 */
{ /* Llib/pdgevent.scm 306 */
BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1127z00_332;
{ /* Llib/pdgevent.scm 307 */
BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1126z00_333;
BgL_new1126z00_333 = 
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 307 */
long BgL_arg1170z00_334;
{ /* Llib/pdgevent.scm 307 */
long BgL_res1231z00_336;
BgL_res1231z00_336 = 
BGL_CLASS_INDEX(BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00); 
BgL_arg1170z00_334 = BgL_res1231z00_336; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_333), BgL_arg1170z00_334); } 
BgL_new1127z00_332 = BgL_new1126z00_333; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1127z00_332)))->BgL_targetz00)=((obj_t)BgL_targetz00_62),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1127z00_332))->BgL_indexz00)=((int)BgL_indexz00_63),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1127z00_332))->BgL_currentz00)=((double)BgL_currentz00_64),BUNSPEC); 
return 
((obj_t)BgL_new1127z00_332);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-motorcontrolcurrent-new */
obj_t BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_491, obj_t BgL_targetz00_492, obj_t BgL_indexz00_493, obj_t BgL_currentz00_494)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 305 */
{ /* Llib/pdgevent.scm 306 */
double BgL_auxz00_1279;int BgL_auxz00_1270;
{ /* Llib/pdgevent.scm 306 */
obj_t BgL_tmpz00_1280;
if(
REALP(BgL_currentz00_494))
{ /* Llib/pdgevent.scm 306 */
BgL_tmpz00_1280 = BgL_currentz00_494
; }  else 
{ 
obj_t BgL_auxz00_1283;
BgL_auxz00_1283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)14740)), BGl_string1390z00zz__phidget_eventz00, BGl_string1380z00zz__phidget_eventz00, BgL_currentz00_494); 
FAILURE(BgL_auxz00_1283,BFALSE,BFALSE);} 
BgL_auxz00_1279 = 
REAL_TO_DOUBLE(BgL_tmpz00_1280); } 
{ /* Llib/pdgevent.scm 306 */
obj_t BgL_tmpz00_1271;
if(
INTEGERP(BgL_indexz00_493))
{ /* Llib/pdgevent.scm 306 */
BgL_tmpz00_1271 = BgL_indexz00_493
; }  else 
{ 
obj_t BgL_auxz00_1274;
BgL_auxz00_1274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)14740)), BGl_string1390z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_493); 
FAILURE(BgL_auxz00_1274,BFALSE,BFALSE);} 
BgL_auxz00_1270 = 
CINT(BgL_tmpz00_1271); } 
return 
bgl_phidget_event_motorcontrolcurrent_new(BgL_targetz00_492, BgL_auxz00_1270, BgL_auxz00_1279);} } 
BGL_FUNCTION_END;
}



/* phidget-event-encoderinput-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderinput_new(obj_t BgL_targetz00_65, int BgL_indexz00_66, bool_t BgL_statez00_67)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 314 */
{ /* Llib/pdgevent.scm 315 */
BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1129z00_339;
{ /* Llib/pdgevent.scm 316 */
BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1128z00_340;
BgL_new1128z00_340 = 
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 316 */
long BgL_arg1171z00_341;
{ /* Llib/pdgevent.scm 316 */
long BgL_res1232z00_343;
BgL_res1232z00_343 = 
BGL_CLASS_INDEX(BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00); 
BgL_arg1171z00_341 = BgL_res1232z00_343; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_340), BgL_arg1171z00_341); } 
BgL_new1129z00_339 = BgL_new1128z00_340; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1129z00_339)))->BgL_targetz00)=((obj_t)BgL_targetz00_65),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1129z00_339))->BgL_indexz00)=((int)BgL_indexz00_66),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1129z00_339))->BgL_statez00)=((bool_t)BgL_statez00_67),BUNSPEC); 
return 
((obj_t)BgL_new1129z00_339);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-encoderinput-new */
obj_t BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_495, obj_t BgL_targetz00_496, obj_t BgL_indexz00_497, obj_t BgL_statez00_498)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 314 */
{ /* Llib/pdgevent.scm 315 */
int BgL_auxz00_1298;
{ /* Llib/pdgevent.scm 315 */
obj_t BgL_tmpz00_1299;
if(
INTEGERP(BgL_indexz00_497))
{ /* Llib/pdgevent.scm 315 */
BgL_tmpz00_1299 = BgL_indexz00_497
; }  else 
{ 
obj_t BgL_auxz00_1302;
BgL_auxz00_1302 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)15142)), BGl_string1391z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_497); 
FAILURE(BgL_auxz00_1302,BFALSE,BFALSE);} 
BgL_auxz00_1298 = 
CINT(BgL_tmpz00_1299); } 
return 
bgl_phidget_event_encoderinput_new(BgL_targetz00_496, BgL_auxz00_1298, 
CBOOL(BgL_statez00_498));} } 
BGL_FUNCTION_END;
}



/* phidget-event-encoderposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderposition_new(obj_t BgL_targetz00_68, int BgL_indexz00_69, int BgL_timez00_70, int BgL_positionz00_71)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 323 */
{ /* Llib/pdgevent.scm 324 */
BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1131z00_346;
{ /* Llib/pdgevent.scm 325 */
BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1130z00_347;
BgL_new1130z00_347 = 
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 325 */
long BgL_arg1178z00_348;
{ /* Llib/pdgevent.scm 325 */
long BgL_res1233z00_350;
BgL_res1233z00_350 = 
BGL_CLASS_INDEX(BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00); 
BgL_arg1178z00_348 = BgL_res1233z00_350; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_347), BgL_arg1178z00_348); } 
BgL_new1131z00_346 = BgL_new1130z00_347; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1131z00_346)))->BgL_targetz00)=((obj_t)BgL_targetz00_68),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1131z00_346))->BgL_indexz00)=((int)BgL_indexz00_69),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1131z00_346))->BgL_timez00)=((int)BgL_timez00_70),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1131z00_346))->BgL_positionz00)=((int)BgL_positionz00_71),BUNSPEC); 
return 
((obj_t)BgL_new1131z00_346);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-encoderposition-new */
obj_t BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_499, obj_t BgL_targetz00_500, obj_t BgL_indexz00_501, obj_t BgL_timez00_502, obj_t BgL_positionz00_503)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 323 */
{ /* Llib/pdgevent.scm 324 */
int BgL_auxz00_1337;int BgL_auxz00_1328;int BgL_auxz00_1319;
{ /* Llib/pdgevent.scm 324 */
obj_t BgL_tmpz00_1338;
if(
INTEGERP(BgL_positionz00_503))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1338 = BgL_positionz00_503
; }  else 
{ 
obj_t BgL_auxz00_1341;
BgL_auxz00_1341 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1392z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_positionz00_503); 
FAILURE(BgL_auxz00_1341,BFALSE,BFALSE);} 
BgL_auxz00_1337 = 
CINT(BgL_tmpz00_1338); } 
{ /* Llib/pdgevent.scm 324 */
obj_t BgL_tmpz00_1329;
if(
INTEGERP(BgL_timez00_502))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1329 = BgL_timez00_502
; }  else 
{ 
obj_t BgL_auxz00_1332;
BgL_auxz00_1332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1392z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_timez00_502); 
FAILURE(BgL_auxz00_1332,BFALSE,BFALSE);} 
BgL_auxz00_1328 = 
CINT(BgL_tmpz00_1329); } 
{ /* Llib/pdgevent.scm 324 */
obj_t BgL_tmpz00_1320;
if(
INTEGERP(BgL_indexz00_501))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1320 = BgL_indexz00_501
; }  else 
{ 
obj_t BgL_auxz00_1323;
BgL_auxz00_1323 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1392z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_501); 
FAILURE(BgL_auxz00_1323,BFALSE,BFALSE);} 
BgL_auxz00_1319 = 
CINT(BgL_tmpz00_1320); } 
return 
bgl_phidget_event_encoderposition_new(BgL_targetz00_500, BgL_auxz00_1319, BgL_auxz00_1328, BgL_auxz00_1337);} } 
BGL_FUNCTION_END;
}



/* phidget-event-encoderindex-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderindex_new(obj_t BgL_targetz00_72, int BgL_indexz00_73, int BgL_positionz00_74)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 333 */
{ /* Llib/pdgevent.scm 334 */
BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1133z00_353;
{ /* Llib/pdgevent.scm 335 */
BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1132z00_354;
BgL_new1132z00_354 = 
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderindexzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 335 */
long BgL_arg1179z00_355;
{ /* Llib/pdgevent.scm 335 */
long BgL_res1234z00_357;
BgL_res1234z00_357 = 
BGL_CLASS_INDEX(BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00); 
BgL_arg1179z00_355 = BgL_res1234z00_357; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_354), BgL_arg1179z00_355); } 
BgL_new1133z00_353 = BgL_new1132z00_354; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1133z00_353)))->BgL_targetz00)=((obj_t)BgL_targetz00_72),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1133z00_353))->BgL_indexz00)=((int)BgL_indexz00_73),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1133z00_353))->BgL_positionz00)=((int)BgL_positionz00_74),BUNSPEC); 
return 
((obj_t)BgL_new1133z00_353);} } 
BGL_FUNCTION_END;
}



/* &phidget-event-encoderindex-new */
obj_t BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_504, obj_t BgL_targetz00_505, obj_t BgL_indexz00_506, obj_t BgL_positionz00_507)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 333 */
{ /* Llib/pdgevent.scm 334 */
int BgL_auxz00_1365;int BgL_auxz00_1356;
{ /* Llib/pdgevent.scm 334 */
obj_t BgL_tmpz00_1366;
if(
INTEGERP(BgL_positionz00_507))
{ /* Llib/pdgevent.scm 334 */
BgL_tmpz00_1366 = BgL_positionz00_507
; }  else 
{ 
obj_t BgL_auxz00_1369;
BgL_auxz00_1369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)15965)), BGl_string1393z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_positionz00_507); 
FAILURE(BgL_auxz00_1369,BFALSE,BFALSE);} 
BgL_auxz00_1365 = 
CINT(BgL_tmpz00_1366); } 
{ /* Llib/pdgevent.scm 334 */
obj_t BgL_tmpz00_1357;
if(
INTEGERP(BgL_indexz00_506))
{ /* Llib/pdgevent.scm 334 */
BgL_tmpz00_1357 = BgL_indexz00_506
; }  else 
{ 
obj_t BgL_auxz00_1360;
BgL_auxz00_1360 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)15965)), BGl_string1393z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_indexz00_506); 
FAILURE(BgL_auxz00_1360,BFALSE,BFALSE);} 
BgL_auxz00_1356 = 
CINT(BgL_tmpz00_1357); } 
return 
bgl_phidget_event_encoderindex_new(BgL_targetz00_505, BgL_auxz00_1356, BgL_auxz00_1365);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BGl_proc1394z00zz__phidget_eventz00, BGl_z52phidgetz52zz__phidget_typesz00, BGl_string1395z00zz__phidget_eventz00);} 
BGL_FUNCTION_END;
}



/* &phidget-add-event-li1134 */
obj_t BGl_z62phidgetzd2addzd2eventzd2li1134zb0zz__phidget_eventz00(obj_t BgL_envz00_509, obj_t BgL_objz00_510, obj_t BgL_eventz00_511, obj_t BgL_procz00_512)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 139 */
BgL_z62phidgetzd2errorzb0_bglt BgL_arg1187z00_636;
{ /* Llib/pdgevent.scm 139 */
BgL_z62phidgetzd2errorzb0_bglt BgL_new1090z00_637;
{ /* Llib/pdgevent.scm 139 */
BgL_z62phidgetzd2errorzb0_bglt BgL_new1089z00_638;
BgL_new1089z00_638 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgevent.scm 139 */
long BgL_arg1202z00_639;
{ /* Llib/pdgevent.scm 139 */
long BgL_res1235z00_640;
BgL_res1235z00_640 = 
BGL_CLASS_INDEX(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BgL_arg1202z00_639 = BgL_res1235z00_640; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_638), BgL_arg1202z00_639); } 
BgL_new1090z00_637 = BgL_new1089z00_638; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1090z00_637)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1090z00_637)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1384;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_arg1190z00_641;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_arg1201z00_642;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_res1236z00_643;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_classz00_644;
BgL_classz00_644 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_res1236z00_643 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_644); } 
BgL_arg1201z00_642 = BgL_res1236z00_643; } 
BgL_arg1190z00_641 = 
VECTOR_REF(BgL_arg1201z00_642,((long)2)); } 
BgL_auxz00_1384 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1190z00_641); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1090z00_637)))->BgL_stackz00)=((obj_t)BgL_auxz00_1384),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1090z00_637)))->BgL_procz00)=((obj_t)BGl_string1396z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1090z00_637)))->BgL_msgz00)=((obj_t)BGl_string1397z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1090z00_637)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_z52phidgetz52_bglt)BgL_objz00_510))),BUNSPEC); 
BgL_arg1187z00_636 = BgL_new1090z00_637; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1187z00_636));} } 
BGL_FUNCTION_END;
}



/* phidget-add-event-listener! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_z52phidgetz52_bglt BgL_objz00_3, obj_t BgL_eventz00_4, obj_t BgL_procz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_method1135z00_175;
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_res1248z00_411;
{ /* Llib/pdgevent.scm 137 */
long BgL_objzd2classzd2numz00_368;
{ /* Llib/pdgevent.scm 137 */
long BgL_res1237z00_371;
BgL_res1237z00_371 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_objz00_3)); 
BgL_objzd2classzd2numz00_368 = BgL_res1237z00_371; } 
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_arg1742z00_369;
BgL_arg1742z00_369 = 
PROCEDURE_REF(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, 
(int)(((long)1))); 
{ /* Llib/pdgevent.scm 137 */
int BgL_offsetz00_373;
BgL_offsetz00_373 = 
(int)(BgL_objzd2classzd2numz00_368); 
{ /* Llib/pdgevent.scm 137 */
long BgL_offsetz00_374;
BgL_offsetz00_374 = 
(
(long)(BgL_offsetz00_373)-OBJECT_TYPE); 
{ /* Llib/pdgevent.scm 137 */
long BgL_modz00_375;
{ /* Llib/pdgevent.scm 137 */
int BgL_arg1744z00_376;
BgL_arg1744z00_376 = 
(int)(((long)16)); 
{ /* Llib/pdgevent.scm 137 */
long BgL_res1240z00_386;
{ /* Llib/pdgevent.scm 137 */
long BgL_tmpz00_1408;
BgL_tmpz00_1408 = 
(long)(BgL_arg1744z00_376); 
BgL_res1240z00_386 = 
(BgL_offsetz00_374/BgL_tmpz00_1408); } 
BgL_modz00_375 = BgL_res1240z00_386; } } 
{ /* Llib/pdgevent.scm 137 */
long BgL_restz00_377;
{ /* Llib/pdgevent.scm 137 */
int BgL_arg1743z00_378;
BgL_arg1743z00_378 = 
(int)(((long)16)); 
{ /* Llib/pdgevent.scm 137 */
long BgL_res1247z00_406;
{ /* Llib/pdgevent.scm 137 */
long BgL_n1z00_388;long BgL_n2z00_389;
BgL_n1z00_388 = BgL_offsetz00_374; 
BgL_n2z00_389 = 
(long)(BgL_arg1743z00_378); 
{ /* Llib/pdgevent.scm 137 */
bool_t BgL_testz00_1413;
{ /* Llib/pdgevent.scm 137 */
long BgL_arg1283z00_391;
BgL_arg1283z00_391 = 
(((BgL_n1z00_388) | (BgL_n2z00_389)) & -2147483648); 
BgL_testz00_1413 = 
(BgL_arg1283z00_391==((long)0)); } 
if(BgL_testz00_1413)
{ /* Llib/pdgevent.scm 137 */
int32_t BgL_arg1272z00_392;
{ /* Llib/pdgevent.scm 137 */
int32_t BgL_arg1278z00_393;int32_t BgL_arg1279z00_394;
{ /* Llib/pdgevent.scm 137 */
int32_t BgL_res1243z00_398;
BgL_res1243z00_398 = 
(int32_t)(BgL_n1z00_388); 
BgL_arg1278z00_393 = BgL_res1243z00_398; } 
{ /* Llib/pdgevent.scm 137 */
int32_t BgL_res1244z00_400;
BgL_res1244z00_400 = 
(int32_t)(BgL_n2z00_389); 
BgL_arg1279z00_394 = BgL_res1244z00_400; } 
BgL_arg1272z00_392 = 
(BgL_arg1278z00_393%BgL_arg1279z00_394); } 
{ /* Llib/pdgevent.scm 137 */
long BgL_res1246z00_405;
{ /* Llib/pdgevent.scm 137 */
long BgL_arg1409z00_402;
BgL_arg1409z00_402 = 
(long)(BgL_arg1272z00_392); 
{ /* Llib/pdgevent.scm 137 */
long BgL_res1245z00_404;
BgL_res1245z00_404 = 
(long)(BgL_arg1409z00_402); 
BgL_res1246z00_405 = BgL_res1245z00_404; } } 
BgL_res1247z00_406 = BgL_res1246z00_405; } }  else 
{ /* Llib/pdgevent.scm 137 */
BgL_res1247z00_406 = 
(BgL_n1z00_388%BgL_n2z00_389); } } } 
BgL_restz00_377 = BgL_res1247z00_406; } } 
{ /* Llib/pdgevent.scm 137 */

{ /* Llib/pdgevent.scm 137 */
obj_t BgL_bucketz00_379;
BgL_bucketz00_379 = 
VECTOR_REF(
((obj_t)BgL_arg1742z00_369),BgL_modz00_375); 
BgL_res1248z00_411 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_379),BgL_restz00_377); } } } } } } } } 
BgL_method1135z00_175 = BgL_res1248z00_411; } 
return 
PROCEDURE_ENTRY(BgL_method1135z00_175)(BgL_method1135z00_175, 
((obj_t)BgL_objz00_3), BgL_eventz00_4, BgL_procz00_5, BEOA);} } 
BGL_FUNCTION_END;
}



/* &phidget-add-event-listener! */
obj_t BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00(obj_t BgL_envz00_513, obj_t BgL_objz00_514, obj_t BgL_eventz00_515, obj_t BgL_procz00_516)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_auxz00_1448;obj_t BgL_auxz00_1441;BgL_z52phidgetz52_bglt BgL_auxz00_1433;
if(
PROCEDUREP(BgL_procz00_516))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1448 = BgL_procz00_516
; }  else 
{ 
obj_t BgL_auxz00_1451;
BgL_auxz00_1451 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1398z00zz__phidget_eventz00, BGl_string1400z00zz__phidget_eventz00, BgL_procz00_516); 
FAILURE(BgL_auxz00_1451,BFALSE,BFALSE);} 
if(
STRINGP(BgL_eventz00_515))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1441 = BgL_eventz00_515
; }  else 
{ 
obj_t BgL_auxz00_1444;
BgL_auxz00_1444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1398z00zz__phidget_eventz00, BGl_string1370z00zz__phidget_eventz00, BgL_eventz00_515); 
FAILURE(BgL_auxz00_1444,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_objz00_514, BGl_z52phidgetz52zz__phidget_typesz00))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1433 = 
((BgL_z52phidgetz52_bglt)BgL_objz00_514)
; }  else 
{ 
obj_t BgL_auxz00_1437;
BgL_auxz00_1437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1367z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1398z00zz__phidget_eventz00, BGl_string1399z00zz__phidget_eventz00, BgL_objz00_514); 
FAILURE(BgL_auxz00_1437,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_auxz00_1433, BgL_auxz00_1441, BgL_auxz00_1448);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__phidget_eventz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__phidget_typesz00(((long)253269866), 
BSTRING_TO_STRING(BGl_string1401z00zz__phidget_eventz00)); 
return 
BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(((long)489304720), 
BSTRING_TO_STRING(BGl_string1401z00zz__phidget_eventz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
