/*===========================================================================*/
/*   (Engine/engine.scm)                                                     */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O5 -unsafe -c Engine/engine.scm -o Engine/engine.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>
#include <signal.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t BGl_za2bigloozd2failureza2zd2zzengine_paramz00;
static obj_t BGl_objectzd2initzd2zzengine_enginez00();
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62enginez62zzengine_enginez00(obj_t, obj_t);
extern obj_t BGl_gdbzd2serverzd2ze3stringze3zzgdb_invokez00(obj_t);
static obj_t BGl_z62addzd2quitzd2hookz12z70zzengine_enginez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzengine_enginez00();
static obj_t BGl_z62zc3anonymousza31098ze3ze1zzengine_enginez00(obj_t);
extern obj_t BGl_gdbzd2startzd2zzgdb_procz00();
static obj_t BGl_z62exitz62zzengine_enginez00(obj_t, obj_t);
extern obj_t BGl_za2bdbzd2schemezd2modezd2enabledzf3za2z21zzengine_paramz00;
extern obj_t BGl_closezd2bdbzd2logz00zztools_speekz00();
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
extern obj_t BGl_za2bdbzd2modeza2zd2zzengine_paramz00;
static obj_t BGl_gczd2rootszd2initz00zzengine_enginez00();
extern obj_t BGl_readzd2etagszd2filez00zzbee_etagsz00();
extern obj_t BGl_beezd2notifyzd2zzbee_invokez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_z62killzd2myzd2selfz62zzengine_enginez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_enginez00zzengine_enginez00(obj_t);
extern obj_t BGl_gdbzd2stopzd2zzgdb_procz00();
static obj_t BGl_requirezd2initializa7ationz75zzengine_enginez00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzengine_enginez00();
extern obj_t BGl_bdbzd2warningzd2zztools_errorz00(obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zzengine_enginez00();
static obj_t BGl_z62zc3anonymousza31085ze3ze1zzengine_enginez00(obj_t);
extern obj_t BGl_bdbzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_za2bdbzd2exitza2zd2zzengine_enginez00 = BUNSPEC;
extern obj_t BGl_za2postzd2commandzd2hookza2z00zzengine_paramz00;
static obj_t BGl_initzd2signalzd2handlerz12z12zzengine_enginez00();
extern obj_t BGl_za2exitza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bdbzd2exitzb0zzengine_enginez00(obj_t, obj_t);
extern obj_t BGl_closezd2serverz12zc0zzpatient_serverz00();
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_gdbzd2noerrorzd2callzd2ze3stringz31zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
extern obj_t BGl_za2beezd2clientzf3za2z21zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_addzd2quitzd2hookz12z12zzengine_enginez00(obj_t);
extern obj_t BGl_addzd2runzd2hookz12z12zzcommand_runz00(obj_t);
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_backtracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_runz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbee_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbee_etagsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_serverz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_procz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_replz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_getzd2gdbzd2processz00zzgdb_procz00();
BGL_EXPORTED_DECL obj_t BGl_bdbzd2exitzd2zzengine_enginez00(int);
static obj_t BGl_cnstzd2initzd2zzengine_enginez00();
static obj_t BGl_libraryzd2moduleszd2initz00zzengine_enginez00();
extern obj_t BGl_za2prezd2commandzd2hookza2z00zzengine_paramz00;
static obj_t BGl_importedzd2moduleszd2initz00zzengine_enginez00();
static obj_t BGl_za2quitzd2hooksza2zd2zzengine_enginez00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31107ze3ze1zzengine_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t c_process_send_signal(obj_t, int);
static obj_t BGl_z62zc3anonymousza31070ze3ze1zzengine_enginez00(obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_bdbzd2exitzd2envz00zzengine_enginez00, BgL_bgl_za762bdbza7d2exitza7b01146za7, BGl_z62bdbzd2exitzb0zzengine_enginez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_enginezd2envzd2zzengine_enginez00, BgL_bgl_za762engineza762za7za7en1147z00, BGl_z62enginez62zzengine_enginez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1122z00zzengine_enginez00, BgL_bgl_string1122za700za7za7e1148za7, "INITIALIZATION", 14 );
DEFINE_STRING( BGl_string1126z00zzengine_enginez00, BgL_bgl_string1126za700za7za7e1149za7, "kill", 4 );
DEFINE_STRING( BGl_string1127z00zzengine_enginez00, BgL_bgl_string1127za700za7za7e1150za7, "clear ", 6 );
DEFINE_STRING( BGl_string1128z00zzengine_enginez00, BgL_bgl_string1128za700za7za7e1151za7, "break ", 6 );
DEFINE_STRING( BGl_string1129z00zzengine_enginez00, BgL_bgl_string1129za700za7za7e1152za7, "info address bdb_demangle", 25 );
DEFINE_STRING( BGl_string1130z00zzengine_enginez00, BgL_bgl_string1130za700za7za7e1153za7, "", 0 );
DEFINE_STRING( BGl_string1131z00zzengine_enginez00, BgL_bgl_string1131za700za7za7e1154za7, "No ", 3 );
DEFINE_STRING( BGl_string1132z00zzengine_enginez00, BgL_bgl_string1132za700za7za7e1155za7, "See -gbdb Bigloo option\n", 24 );
DEFINE_STRING( BGl_string1133z00zzengine_enginez00, BgL_bgl_string1133za700za7za7e1156za7, "Disabling `scheme' mode -- ", 27 );
DEFINE_STRING( BGl_string1134z00zzengine_enginez00, BgL_bgl_string1134za700za7za7e1157za7, "Bdb facilities unavailable\n", 27 );
DEFINE_STRING( BGl_string1137z00zzengine_enginez00, BgL_bgl_string1137za700za7za7e1158za7, "engine", 6 );
DEFINE_STRING( BGl_string1138z00zzengine_enginez00, BgL_bgl_string1138za700za7za7e1159za7, "Illegal signal caught, aborting", 31 );
DEFINE_STRING( BGl_string1139z00zzengine_enginez00, BgL_bgl_string1139za700za7za7e1160za7, "engine_engine", 13 );
DEFINE_STRING( BGl_string1140z00zzengine_enginez00, BgL_bgl_string1140za700za7za7e1161za7, "ignore c (scheme mixte) ", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_addzd2quitzd2hookz12zd2envzc0zzengine_enginez00, BgL_bgl_za762addza7d2quitza7d21162za7, BGl_z62addzd2quitzd2hookz12z70zzengine_enginez00, 0L, BUNSPEC, 1 );
extern obj_t BGl_gdbzd2annotatezd2runzd2hookzd2envz00zzgdb_annotatez00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1123z00zzengine_enginez00, BgL_bgl_za762za7c3anonymousza71163za7, BGl_z62zc3anonymousza31070ze3ze1zzengine_enginez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1124z00zzengine_enginez00, BgL_bgl_za762za7c3anonymousza71164za7, BGl_z62zc3anonymousza31085ze3ze1zzengine_enginez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1125z00zzengine_enginez00, BgL_bgl_za762za7c3anonymousza71165za7, BGl_z62zc3anonymousza31098ze3ze1zzengine_enginez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1135z00zzengine_enginez00, BgL_bgl_za762killza7d2myza7d2s1166za7, BGl_z62killzd2myzd2selfz62zzengine_enginez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1136z00zzengine_enginez00, BgL_bgl_za762za7c3anonymousza71167za7, BGl_z62zc3anonymousza31107ze3ze1zzengine_enginez00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzengine_enginez00) );
ADD_ROOT( (void *)(&BGl_za2bdbzd2exitza2zd2zzengine_enginez00) );
ADD_ROOT( (void *)(&BGl_za2quitzd2hooksza2zd2zzengine_enginez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long BgL_checksumz00_217, char * BgL_fromz00_218)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzengine_enginez00))
{ 
BGl_requirezd2initializa7ationz75zzengine_enginez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzengine_enginez00(); 
BGl_libraryzd2moduleszd2initz00zzengine_enginez00(); 
BGl_cnstzd2initzd2zzengine_enginez00(); 
BGl_importedzd2moduleszd2initz00zzengine_enginez00(); 
return 
BGl_toplevelzd2initzd2zzengine_enginez00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__processz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "engine_engine"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
{ /* Engine/engine.scm 14 */
obj_t BgL_cportz00_188;
{ /* Engine/engine.scm 14 */
obj_t BgL_stringz00_196;
BgL_stringz00_196 = BGl_string1140z00zzengine_enginez00; 
{ /* Engine/engine.scm 14 */
obj_t BgL_startz00_197;
BgL_startz00_197 = 
BINT(((long)0)); 
{ /* Engine/engine.scm 14 */
obj_t BgL_endz00_198;
BgL_endz00_198 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_196))); 
{ /* Engine/engine.scm 14 */

BgL_cportz00_188 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_196, BgL_startz00_197, BgL_endz00_198); } } } } 
{ 
long BgL_iz00_189;
BgL_iz00_189 = ((long)2); 
BgL_loopz00_190:
if(
(BgL_iz00_189==((long)-1)))
{ /* Engine/engine.scm 14 */
return BUNSPEC;}  else 
{ /* Engine/engine.scm 14 */
{ /* Engine/engine.scm 14 */
obj_t BgL_arg1144z00_192;
{ /* Engine/engine.scm 14 */

{ /* Engine/engine.scm 14 */
obj_t BgL_locationz00_194;
BgL_locationz00_194 = 
BBOOL(((bool_t)0)); 
{ /* Engine/engine.scm 14 */

BgL_arg1144z00_192 = 
BGl_readz00zz__readerz00(BgL_cportz00_188, BgL_locationz00_194); } } } 
{ /* Engine/engine.scm 14 */
int BgL_tmpz00_245;
BgL_tmpz00_245 = 
(int)(BgL_iz00_189); 
CNST_TABLE_SET(BgL_tmpz00_245, BgL_arg1144z00_192); } } 
{ /* Engine/engine.scm 14 */
int BgL_auxz00_195;
BgL_auxz00_195 = 
(int)(
(BgL_iz00_189-((long)1))); 
{ 
long BgL_iz00_250;
BgL_iz00_250 = 
(long)(BgL_auxz00_195); 
BgL_iz00_189 = BgL_iz00_250; 
goto BgL_loopz00_190;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
BGl_za2quitzd2hooksza2zd2zzengine_enginez00 = BNIL; 
return ( 
BGl_za2bdbzd2exitza2zd2zzengine_enginez00 = BFALSE, BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* add-quit-hook! */
BGL_EXPORTED_DEF obj_t BGl_addzd2quitzd2hookz12z12zzengine_enginez00(obj_t BgL_funz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 44 */
return ( 
BGl_za2quitzd2hooksza2zd2zzengine_enginez00 = 
MAKE_YOUNG_PAIR(BgL_funz00_3, BGl_za2quitzd2hooksza2zd2zzengine_enginez00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* &add-quit-hook! */
obj_t BGl_z62addzd2quitzd2hookz12z70zzengine_enginez00(obj_t BgL_envz00_165, obj_t BgL_funz00_166)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 44 */
return 
BGl_addzd2quitzd2hookz12z12zzengine_enginez00(BgL_funz00_166);} 
BGL_FUNCTION_END;
}



/* engine */
BGL_EXPORTED_DEF obj_t BGl_enginez00zzengine_enginez00(obj_t BgL_replz00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 50 */
if(
CBOOL(BGl_za2beezd2clientzf3za2z21zzengine_paramz00))
{ /* Engine/engine.scm 52 */
BGl_beezd2notifyzd2zzbee_invokez00(BGl_string1122z00zzengine_enginez00, BNIL); }  else 
{ /* Engine/engine.scm 52 */BFALSE; } 
BGl_initzd2signalzd2handlerz12z12zzengine_enginez00(); 
BGl_addzd2runzd2hookz12z12zzcommand_runz00(BGl_gdbzd2annotatezd2runzd2hookzd2envz00zzgdb_annotatez00); 
BGl_addzd2runzd2hookz12z12zzcommand_runz00(BGl_proc1123z00zzengine_enginez00); 
BGl_addzd2runzd2hookz12z12zzcommand_runz00(BGl_proc1124z00zzengine_enginez00); 
BGl_readzd2etagszd2filez00zzbee_etagsz00(); 
{ 

jmp_buf_t jmpbuf; 
void * BgL_an_exit1055z00_37;
if( SET_EXIT(BgL_an_exit1055z00_37) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1055z00_37 = 
(void *)jmpbuf; 
{ /* Engine/engine.scm 88 */

PUSH_EXIT(BgL_an_exit1055z00_37, ((long)1)); 
{ /* Engine/engine.scm 88 */
obj_t BgL_an_exitd1056z00_38;
BgL_an_exitd1056z00_38 = 
((obj_t)(&exitd)); 
{ /* Engine/engine.scm 88 */
obj_t BgL_exitz00_168;
BgL_exitz00_168 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zzengine_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_168, 
(int)(((long)0)), BgL_an_exitd1056z00_38); 
{ /* Engine/engine.scm 88 */
obj_t BgL_res1058z00_41;
BGl_za2bdbzd2exitza2zd2zzengine_enginez00 = BgL_exitz00_168; 
if(
CBOOL(
BGl_gdbzd2startzd2zzgdb_procz00()))
{ /* Engine/engine.scm 92 */
obj_t BgL_exitd1049z00_43;
BgL_exitd1049z00_43 = 
((obj_t)(&exitd)); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1049z00_43, BGl_proc1125z00zzengine_enginez00); 
{ /* Engine/engine.scm 97 */
obj_t BgL_tmp1051z00_45;
{ /* Engine/engine.scm 97 */
obj_t BgL_g1053z00_46;
BgL_g1053z00_46 = BGl_za2prezd2commandzd2hookza2z00zzengine_paramz00; 
BGl_za2prezd2commandzd2hookza2z00zzengine_paramz00 = BNIL; 
{ 
obj_t BgL_l1061z00_128;
BgL_l1061z00_128 = BgL_g1053z00_46; 
BgL_zc3anonymousza31091ze3z83_127:
if(
PAIRP(BgL_l1061z00_128))
{ /* Engine/engine.scm 97 */
{ /* Engine/engine.scm 97 */
obj_t BgL_fz00_133;
BgL_fz00_133 = 
CAR(BgL_l1061z00_128); 
PROCEDURE_ENTRY(BgL_fz00_133)(BgL_fz00_133, BEOA); } 
{ 
obj_t BgL_l1061z00_281;
BgL_l1061z00_281 = 
CDR(BgL_l1061z00_128); 
BgL_l1061z00_128 = BgL_l1061z00_281; 
goto BgL_zc3anonymousza31091ze3z83_127;} }  else 
{ /* Engine/engine.scm 97 */((bool_t)1); } } 
BGl_za2prezd2commandzd2hookza2z00zzengine_paramz00 = BgL_g1053z00_46; } 
{ /* Engine/engine.scm 98 */
obj_t BgL_g1054z00_54;
BgL_g1054z00_54 = BGl_za2postzd2commandzd2hookza2z00zzengine_paramz00; 
BGl_za2postzd2commandzd2hookza2z00zzengine_paramz00 = BNIL; 
{ 
obj_t BgL_l1063z00_151;
BgL_l1063z00_151 = BgL_g1054z00_54; 
BgL_zc3anonymousza31095ze3z83_150:
if(
PAIRP(BgL_l1063z00_151))
{ /* Engine/engine.scm 98 */
{ /* Engine/engine.scm 98 */
obj_t BgL_fz00_156;
BgL_fz00_156 = 
CAR(BgL_l1063z00_151); 
PROCEDURE_ENTRY(BgL_fz00_156)(BgL_fz00_156, BEOA); } 
{ 
obj_t BgL_l1063z00_289;
BgL_l1063z00_289 = 
CDR(BgL_l1063z00_151); 
BgL_l1063z00_151 = BgL_l1063z00_289; 
goto BgL_zc3anonymousza31095ze3z83_150;} }  else 
{ /* Engine/engine.scm 98 */((bool_t)1); } } 
BGl_za2postzd2commandzd2hookza2z00zzengine_paramz00 = BgL_g1054z00_54; } 
BgL_tmp1051z00_45 = 
PROCEDURE_ENTRY(BgL_replz00_4)(BgL_replz00_4, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1049z00_43); 
BGl_z62zc3anonymousza31098ze3ze1zzengine_enginez00(BGl_proc1125z00zzengine_enginez00); 
BgL_res1058z00_41 = BgL_tmp1051z00_45; } }  else 
{ /* Engine/engine.scm 91 */
BgL_res1058z00_41 = BFALSE; } 
POP_EXIT(); 
return BgL_res1058z00_41;} } } } 
} } } 
BGL_FUNCTION_END;
}



/* &engine */
obj_t BGl_z62enginez62zzengine_enginez00(obj_t BgL_envz00_171, obj_t BgL_replz00_172)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 50 */
return 
BGl_enginez00zzengine_enginez00(BgL_replz00_172);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1098> */
obj_t BGl_z62zc3anonymousza31098ze3ze1zzengine_enginez00(obj_t BgL_envz00_173)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 92 */
{ /* Engine/engine.scm 101 */
obj_t BgL_arg1099z00_201;
BgL_arg1099z00_201 = 
BGl_getzd2gdbzd2processz00zzgdb_procz00(); 
c_process_send_signal(
((obj_t)BgL_arg1099z00_201), SIGINT); } 
{ /* Engine/engine.scm 102 */
obj_t BgL_list1100z00_202;
BgL_list1100z00_202 = 
MAKE_YOUNG_PAIR(BGl_string1126z00zzengine_enginez00, BNIL); 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1100z00_202); } 
BGl_gdbzd2stopzd2zzgdb_procz00(); 
{ /* Engine/engine.scm 104 */
obj_t BgL_g1052z00_203;
BgL_g1052z00_203 = BGl_za2quitzd2hooksza2zd2zzengine_enginez00; 
BGl_za2quitzd2hooksza2zd2zzengine_enginez00 = BNIL; 
{ 
obj_t BgL_l1059z00_205;
BgL_l1059z00_205 = BgL_g1052z00_203; 
BgL_zc3anonymousza31101ze3z83_204:
if(
PAIRP(BgL_l1059z00_205))
{ /* Engine/engine.scm 104 */
{ /* Engine/engine.scm 104 */
obj_t BgL_fz00_206;
BgL_fz00_206 = 
CAR(BgL_l1059z00_205); 
PROCEDURE_ENTRY(BgL_fz00_206)(BgL_fz00_206, BEOA); } 
{ 
obj_t BgL_l1059z00_310;
BgL_l1059z00_310 = 
CDR(BgL_l1059z00_205); 
BgL_l1059z00_205 = BgL_l1059z00_310; 
goto BgL_zc3anonymousza31101ze3z83_204;} }  else 
{ /* Engine/engine.scm 104 */((bool_t)1); } } 
BGl_za2quitzd2hooksza2zd2zzengine_enginez00 = BgL_g1052z00_203; } 
return 
BGl_closezd2serverz12zc0zzpatient_serverz00();} 
BGL_FUNCTION_END;
}



/* &exit */
obj_t BGl_z62exitz62zzengine_enginez00(obj_t BgL_envz00_174, obj_t BgL_val1057z00_176)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 88 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
PROCEDURE_REF(BgL_envz00_174, 
(int)(((long)0))), BgL_val1057z00_176);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1085> */
obj_t BGl_z62zc3anonymousza31085ze3ze1zzengine_enginez00(obj_t BgL_envz00_177)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 76 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2bdbzd2modeza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)0)))))
{ /* Engine/engine.scm 78 */
obj_t BgL_cliz00_207;obj_t BgL_liz00_208;
BgL_cliz00_207 = 
string_append(BGl_string1127z00zzengine_enginez00, BGl_za2bigloozd2failureza2zd2zzengine_paramz00); 
BgL_liz00_208 = 
string_append(BGl_string1128z00zzengine_enginez00, BGl_za2bigloozd2failureza2zd2zzengine_paramz00); 
{ /* Engine/engine.scm 81 */
obj_t BgL_list1087z00_209;
BgL_list1087z00_209 = 
MAKE_YOUNG_PAIR(BgL_cliz00_207, BNIL); 
BGl_gdbzd2noerrorzd2callzd2ze3stringz31zzgdb_invokez00(BgL_list1087z00_209); } 
{ /* Engine/engine.scm 84 */
obj_t BgL_list1088z00_210;
BgL_list1088z00_210 = 
MAKE_YOUNG_PAIR(BgL_liz00_208, BNIL); 
return 
BGl_gdbzd2noerrorzd2callzd2ze3stringz31zzgdb_invokez00(BgL_list1088z00_210);} }  else 
{ /* Engine/engine.scm 77 */
return BFALSE;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1070> */
obj_t BGl_z62zc3anonymousza31070ze3ze1zzengine_enginez00(obj_t BgL_envz00_178)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 60 */
{ /* Engine/engine.scm 61 */
obj_t BgL_resz00_211;
{ /* Engine/engine.scm 62 */
obj_t BgL_list1082z00_212;
BgL_list1082z00_212 = 
MAKE_YOUNG_PAIR(BGl_string1129z00zzengine_enginez00, BNIL); 
BgL_resz00_211 = 
BGl_gdbzd2serverzd2ze3stringze3zzgdb_invokez00(BgL_list1082z00_212); } 
{ /* Engine/engine.scm 62 */

{ /* Engine/engine.scm 63 */
bool_t BgL_testz00_328;
if(
bigloo_strcmp(
((obj_t)BgL_resz00_211), BGl_string1130z00zzengine_enginez00))
{ /* Engine/engine.scm 63 */
BgL_testz00_328 = ((bool_t)1)
; }  else 
{ /* Engine/engine.scm 63 */
BgL_testz00_328 = 
bigloo_strncmp(BGl_string1131z00zzengine_enginez00, 
((obj_t)BgL_resz00_211), ((long)3))
; } 
if(BgL_testz00_328)
{ /* Engine/engine.scm 63 */
BGl_za2bdbzd2schemezd2modezd2enabledzf3za2z21zzengine_paramz00 = BFALSE; 
if(
(BGl_za2bdbzd2modeza2zd2zzengine_paramz00==
CNST_TABLE_REF(((long)1))))
{ /* Engine/engine.scm 66 */
return BFALSE;}  else 
{ /* Engine/engine.scm 66 */
BGl_za2bdbzd2modeza2zd2zzengine_paramz00 = 
CNST_TABLE_REF(((long)1)); 
{ /* Engine/engine.scm 69 */
obj_t BgL_list1074z00_213;
{ /* Engine/engine.scm 69 */
obj_t BgL_arg1080z00_214;
{ /* Engine/engine.scm 69 */
obj_t BgL_arg1081z00_215;
BgL_arg1081z00_215 = 
MAKE_YOUNG_PAIR(BGl_string1132z00zzengine_enginez00, BNIL); 
BgL_arg1080z00_214 = 
MAKE_YOUNG_PAIR(BGl_string1133z00zzengine_enginez00, BgL_arg1081z00_215); } 
BgL_list1074z00_213 = 
MAKE_YOUNG_PAIR(BGl_string1134z00zzengine_enginez00, BgL_arg1080z00_214); } 
return 
BGl_bdbzd2warningzd2zztools_errorz00(BgL_list1074z00_213);} } }  else 
{ /* Engine/engine.scm 63 */
return ( 
BGl_za2bdbzd2schemezd2modezd2enabledzf3za2z21zzengine_paramz00 = BTRUE, BUNSPEC) ;} } } } } 
BGL_FUNCTION_END;
}



/* bdb-exit */
BGL_EXPORTED_DEF obj_t BGl_bdbzd2exitzd2zzengine_enginez00(int BgL_valz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 118 */
BGl_closezd2bdbzd2logz00zztools_speekz00(); 
if(
PROCEDUREP(BGl_za2bdbzd2exitza2zd2zzengine_enginez00))
{ /* Engine/engine.scm 120 */
return 
PROCEDURE_ENTRY(BGl_za2bdbzd2exitza2zd2zzengine_enginez00)(BGl_za2bdbzd2exitza2zd2zzengine_enginez00, 
BINT(BgL_valz00_5), BEOA);}  else 
{ /* Engine/engine.scm 120 */
return 
PROCEDURE_ENTRY(BGl_za2exitza2z00zzengine_paramz00)(BGl_za2exitza2z00zzengine_paramz00, 
BINT(BgL_valz00_5), BEOA);} } 
BGL_FUNCTION_END;
}



/* &bdb-exit */
obj_t BGl_z62bdbzd2exitzb0zzengine_enginez00(obj_t BgL_envz00_180, obj_t BgL_valz00_181)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 118 */
return 
BGl_bdbzd2exitzd2zzengine_enginez00(
CINT(BgL_valz00_181));} 
BGL_FUNCTION_END;
}



/* init-signal-handler! */
obj_t BGl_initzd2signalzd2handlerz12z12zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 127 */
BGl_signalz00zz__osz00(SIGFPE, BGl_proc1135z00zzengine_enginez00); 
BGl_signalz00zz__osz00(SIGILL, BGl_proc1135z00zzengine_enginez00); 
BGl_signalz00zz__osz00(SIGBUS, BGl_proc1135z00zzengine_enginez00); 
BGl_signalz00zz__osz00(SIGSEGV, BGl_proc1135z00zzengine_enginez00); 
return 
BGl_signalz00zz__osz00(SIGINT, BGl_proc1136z00zzengine_enginez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1107> */
obj_t BGl_z62zc3anonymousza31107ze3ze1zzengine_enginez00(obj_t BgL_envz00_184, obj_t BgL_signalz00_185)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 137 */
return 
CNST_TABLE_REF(((long)2));} 
BGL_FUNCTION_END;
}



/* &kill-my-self */
obj_t BGl_z62killzd2myzd2selfz62zzengine_enginez00(obj_t BgL_envz00_186, obj_t BgL_nz00_187)
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 128 */
BGl_bdbzd2errorzd2zztools_errorz00(BGl_string1137z00zzengine_enginez00, BGl_string1138z00zzengine_enginez00, BgL_nz00_187); 
{ /* Engine/engine.scm 132 */
obj_t BgL_list1109z00_216;
BgL_list1109z00_216 = 
MAKE_YOUNG_PAIR(
BINT(((long)-1)), BNIL); 
return 
BGl_exitz00zz__errorz00(BgL_list1109z00_216);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzengine_enginez00()
{ BGL_FUNCTION_BEGIN;
{ /* Engine/engine.scm 14 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)203313037), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzengine_replz00(((long)38245929), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)249086913), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzgdb_procz00(((long)252722494), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzgdb_invokez00(((long)66920335), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzgdb_annotatez00(((long)191796826), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzpatient_serverz00(((long)349679343), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzbee_etagsz00(((long)40844650), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzbee_invokez00(((long)491223105), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzcommand_runz00(((long)77512217), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzcommand_backtracez00(((long)181519835), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzpatient_invokez00(((long)4031872), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00)); 
return 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)222649143), 
BSTRING_TO_STRING(BGl_string1139z00zzengine_enginez00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
