/*===========================================================================*/
/*   (Llib/mixer.scm)                                                        */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -unsafe -safee -copt -fPIC -copt -IUnix Llib/mixer.scm -o objs/mixer.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_mixerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_devicesz00;
} *BgL_mixerz00_bglt;


static obj_t BGl_z62zc3anonymousza31072ze3ze1zz__multimediazd2mixerzd2(obj_t, obj_t);
static obj_t BGl_z62mixerzd2volumezd2get1056z62zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mixerzd2volumezd2getz00zz__multimediazd2mixerzd2(BgL_mixerz00_bglt, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2mixerzd2();
BGL_EXPORTED_DECL obj_t BGl_mixerzd2volumezd2setz12z12zz__multimediazd2mixerzd2(BgL_mixerz00_bglt, obj_t, int, int);
static obj_t BGl_z62mixerzd2close1054zb0zz__multimediazd2mixerzd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2mixerzd2();
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static BgL_mixerz00_bglt BGl_z62lambda1068z62zz__multimediazd2mixerzd2(obj_t, obj_t);
static BgL_mixerz00_bglt BGl_z62lambda1070z62zz__multimediazd2mixerzd2(obj_t);
static obj_t BGl_z62lambda1085z62zz__multimediazd2mixerzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1086z62zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mixerzd2();
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2mixerzd2();
static obj_t BGl_genericzd2initzd2zz__multimediazd2mixerzd2();
BGL_EXPORTED_DECL obj_t BGl_mixerzd2closezd2zz__multimediazd2mixerzd2(BgL_mixerz00_bglt);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31087ze3ze1zz__multimediazd2mixerzd2(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mixerzd2volumezd2getz62zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mixerzd2closezb0zz__multimediazd2mixerzd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mixerzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62mixerzd2volumezd2setz12z70zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2mixerzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mixerzd2();
BGL_EXPORTED_DEF obj_t BGl_mixerz00zz__multimediazd2mixerzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62mixerzd2volumezd2setz121058z70zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1143z00zz__multimediazd2mixerzd2, BgL_bgl_za762za7c3anonymousza71167za7, BGl_z62zc3anonymousza31087ze3ze1zz__multimediazd2mixerzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1144z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1086za7621168z00, BGl_z62lambda1086z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1145z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1085za7621169z00, BGl_z62lambda1085z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1146z00zz__multimediazd2mixerzd2, BgL_bgl_za762za7c3anonymousza71170za7, BGl_z62zc3anonymousza31072ze3ze1zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1147z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1070za7621171z00, BGl_z62lambda1070z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1148z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1068za7621172z00, BGl_z62lambda1068z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1149z00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2close1173z00, BGl_z62mixerzd2close1054zb0zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1151z00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1174z00, BGl_z62mixerzd2volumezd2get1056z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1153z00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1175z00, BGl_z62mixerzd2volumezd2setz121058z70zz__multimediazd2mixerzd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1176z00, BGl_z62mixerzd2volumezd2getz62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1150z00zz__multimediazd2mixerzd2, BgL_bgl_string1150za700za7za7_1177za7, "mixer-close1054", 15 );
DEFINE_STRING( BGl_string1152z00zz__multimediazd2mixerzd2, BgL_bgl_string1152za700za7za7_1178za7, "mixer-volume-get1056", 20 );
DEFINE_STRING( BGl_string1154z00zz__multimediazd2mixerzd2, BgL_bgl_string1154za700za7za7_1179za7, "mixer-volume-set!1058", 21 );
DEFINE_STRING( BGl_string1155z00zz__multimediazd2mixerzd2, BgL_bgl_string1155za700za7za7_1180za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1156z00zz__multimediazd2mixerzd2, BgL_bgl_string1156za700za7za7_1181za7, "/builddir/build/BUILD/bigloo4.3f/api/multimedia/src/Llib/mixer.scm", 66 );
DEFINE_STRING( BGl_string1157z00zz__multimediazd2mixerzd2, BgL_bgl_string1157za700za7za7_1182za7, "&mixer-close", 12 );
DEFINE_STRING( BGl_string1158z00zz__multimediazd2mixerzd2, BgL_bgl_string1158za700za7za7_1183za7, "mixer", 5 );
DEFINE_STRING( BGl_string1159z00zz__multimediazd2mixerzd2, BgL_bgl_string1159za700za7za7_1184za7, "&mixer-volume-get", 17 );
DEFINE_STRING( BGl_string1160z00zz__multimediazd2mixerzd2, BgL_bgl_string1160za700za7za7_1185za7, "bstring", 7 );
DEFINE_STRING( BGl_string1161z00zz__multimediazd2mixerzd2, BgL_bgl_string1161za700za7za7_1186za7, "&mixer-volume-set!", 18 );
DEFINE_STRING( BGl_string1162z00zz__multimediazd2mixerzd2, BgL_bgl_string1162za700za7za7_1187za7, "bint", 4 );
DEFINE_STRING( BGl_string1163z00zz__multimediazd2mixerzd2, BgL_bgl_string1163za700za7za7_1188za7, "mixer-close1054 mixer-volume-get1056 mixer-volume-set!1058 __multimedia-mixer mixer pair-nil devices ", 101 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2close1189z00, BGl_z62mixerzd2closezb0zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1190z00, BGl_z62mixerzd2volumezd2setz12z70zz__multimediazd2mixerzd2, 0L, BUNSPEC, 4 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2) );
ADD_ROOT( (void *)(&BGl_mixerz00zz__multimediazd2mixerzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mixerzd2(long BgL_checksumz00_306, char * BgL_fromz00_307)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2mixerzd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2mixerzd2(); 
BGl_cnstzd2initzd2zz__multimediazd2mixerzd2(); 
BGl_objectzd2initzd2zz__multimediazd2mixerzd2(); 
BGl_genericzd2initzd2zz__multimediazd2mixerzd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2mixerzd2();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mixerzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-mixer"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2mixerzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 15 */
{ /* Llib/mixer.scm 15 */
obj_t BgL_cportz00_274;
{ /* Llib/mixer.scm 15 */
obj_t BgL_stringz00_282;
BgL_stringz00_282 = BGl_string1163z00zz__multimediazd2mixerzd2; 
{ /* Llib/mixer.scm 15 */
obj_t BgL_startz00_283;
BgL_startz00_283 = 
BINT(((long)0)); 
{ /* Llib/mixer.scm 15 */
obj_t BgL_endz00_284;
BgL_endz00_284 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_282))); 
{ /* Llib/mixer.scm 15 */

BgL_cportz00_274 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_282, BgL_startz00_283, BgL_endz00_284); } } } } 
{ 
long BgL_iz00_275;
BgL_iz00_275 = ((long)6); 
BgL_loopz00_276:
if(
(BgL_iz00_275==((long)-1)))
{ /* Llib/mixer.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mixer.scm 15 */
{ /* Llib/mixer.scm 15 */
obj_t BgL_arg1165z00_278;
{ /* Llib/mixer.scm 15 */

{ /* Llib/mixer.scm 15 */
obj_t BgL_locationz00_280;
BgL_locationz00_280 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mixer.scm 15 */

BgL_arg1165z00_278 = 
BGl_readz00zz__readerz00(BgL_cportz00_274, BgL_locationz00_280); } } } 
{ /* Llib/mixer.scm 15 */
int BgL_tmpz00_333;
BgL_tmpz00_333 = 
(int)(BgL_iz00_275); 
CNST_TABLE_SET(BgL_tmpz00_333, BgL_arg1165z00_278); } } 
{ /* Llib/mixer.scm 15 */
int BgL_auxz00_281;
BgL_auxz00_281 = 
(int)(
(BgL_iz00_275-((long)1))); 
{ 
long BgL_iz00_338;
BgL_iz00_338 = 
(long)(BgL_auxz00_281); 
BgL_iz00_275 = BgL_iz00_338; 
goto BgL_loopz00_276;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mixerzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2mixerzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2mixerzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 15 */
{ /* Llib/mixer.scm 17 */
obj_t BgL_arg1066z00_21;obj_t BgL_arg1067z00_22;
{ /* Llib/mixer.scm 17 */
obj_t BgL_v1052z00_33;
BgL_v1052z00_33 = 
create_vector(((long)1)); 
{ /* Llib/mixer.scm 17 */
obj_t BgL_arg1080z00_34;
BgL_arg1080z00_34 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1145z00zz__multimediazd2mixerzd2, BGl_proc1144z00zz__multimediazd2mixerzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1143z00zz__multimediazd2mixerzd2, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1052z00_33,((long)0),BgL_arg1080z00_34); } 
BgL_arg1066z00_21 = BgL_v1052z00_33; } 
{ /* Llib/mixer.scm 17 */
obj_t BgL_v1053z00_47;
BgL_v1053z00_47 = 
create_vector(((long)0)); 
BgL_arg1067z00_22 = BgL_v1053z00_47; } 
return ( 
BGl_mixerz00zz__multimediazd2mixerzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)3)), BGl_objectz00zz__objectz00, ((long)27830), BGl_proc1148z00zz__multimediazd2mixerzd2, BGl_proc1147z00zz__multimediazd2mixerzd2, BFALSE, BGl_proc1146z00zz__multimediazd2mixerzd2, BFALSE, BgL_arg1066z00_21, BgL_arg1067z00_22), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1072> */
obj_t BGl_z62zc3anonymousza31072ze3ze1zz__multimediazd2mixerzd2(obj_t BgL_envz00_220, obj_t BgL_new1049z00_221)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 17 */
{ 
BgL_mixerz00_bglt BgL_auxz00_350;
((((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_new1049z00_221)))->BgL_devicesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_350 = 
((BgL_mixerz00_bglt)BgL_new1049z00_221); 
return 
((obj_t)BgL_auxz00_350);} } 
BGL_FUNCTION_END;
}



/* &lambda1070 */
BgL_mixerz00_bglt BGl_z62lambda1070z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_222)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 17 */
{ /* Llib/mixer.scm 17 */
BgL_mixerz00_bglt BgL_new1048z00_288;
BgL_new1048z00_288 = 
((BgL_mixerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mixerz00_bgl) ))); 
{ /* Llib/mixer.scm 17 */
long BgL_arg1071z00_289;
{ /* Llib/mixer.scm 17 */
long BgL_res1092z00_290;
BgL_res1092z00_290 = 
BGL_CLASS_INDEX(BGl_mixerz00zz__multimediazd2mixerzd2); 
BgL_arg1071z00_289 = BgL_res1092z00_290; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_288), BgL_arg1071z00_289); } 
return BgL_new1048z00_288;} } 
BGL_FUNCTION_END;
}



/* &lambda1068 */
BgL_mixerz00_bglt BGl_z62lambda1068z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_223, obj_t BgL_devices1047z00_224)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 17 */
{ /* Llib/mixer.scm 17 */
BgL_mixerz00_bglt BgL_new1051z00_292;
{ /* Llib/mixer.scm 17 */
BgL_mixerz00_bglt BgL_new1050z00_293;
BgL_new1050z00_293 = 
((BgL_mixerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mixerz00_bgl) ))); 
{ /* Llib/mixer.scm 17 */
long BgL_arg1069z00_294;
{ /* Llib/mixer.scm 17 */
long BgL_res1091z00_295;
BgL_res1091z00_295 = 
BGL_CLASS_INDEX(BGl_mixerz00zz__multimediazd2mixerzd2); 
BgL_arg1069z00_294 = BgL_res1091z00_295; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_293), BgL_arg1069z00_294); } 
BgL_new1051z00_292 = BgL_new1050z00_293; } 
((((BgL_mixerz00_bglt)COBJECT(BgL_new1051z00_292))->BgL_devicesz00)=((obj_t)
((obj_t)BgL_devices1047z00_224)),BUNSPEC); 
return BgL_new1051z00_292;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1087> */
obj_t BGl_z62zc3anonymousza31087ze3ze1zz__multimediazd2mixerzd2(obj_t BgL_envz00_225)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 17 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1086 */
obj_t BGl_z62lambda1086z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_226, obj_t BgL_oz00_227, obj_t BgL_vz00_228)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 17 */
return 
((((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_oz00_227)))->BgL_devicesz00)=((obj_t)
((obj_t)BgL_vz00_228)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1085 */
obj_t BGl_z62lambda1085z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_229, obj_t BgL_oz00_230)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 17 */
return 
(((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_oz00_230)))->BgL_devicesz00);} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2mixerzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2, BGl_proc1149z00zz__multimediazd2mixerzd2, BGl_mixerz00zz__multimediazd2mixerzd2, BGl_string1150z00zz__multimediazd2mixerzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2, BGl_proc1151z00zz__multimediazd2mixerzd2, BGl_mixerz00zz__multimediazd2mixerzd2, BGl_string1152z00zz__multimediazd2mixerzd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2, BGl_proc1153z00zz__multimediazd2mixerzd2, BGl_mixerz00zz__multimediazd2mixerzd2, BGl_string1154z00zz__multimediazd2mixerzd2);} 
BGL_FUNCTION_END;
}



/* &mixer-volume-set!1058 */
obj_t BGl_z62mixerzd2volumezd2setz121058z70zz__multimediazd2mixerzd2(obj_t BgL_envz00_234, obj_t BgL_mz00_235, obj_t BgL_dz00_236, obj_t BgL_lz00_237, obj_t BgL_rz00_238)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 29 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string1155z00zz__multimediazd2mixerzd2, 
((obj_t)
((BgL_mixerz00_bglt)BgL_mz00_235)));} 
BGL_FUNCTION_END;
}



/* &mixer-volume-get1056 */
obj_t BGl_z62mixerzd2volumezd2get1056z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_239, obj_t BgL_mz00_240, obj_t BgL_dz00_241)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 28 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string1155z00zz__multimediazd2mixerzd2, 
((obj_t)
((BgL_mixerz00_bglt)BgL_mz00_240)));} 
BGL_FUNCTION_END;
}



/* &mixer-close1054 */
obj_t BGl_z62mixerzd2close1054zb0zz__multimediazd2mixerzd2(obj_t BgL_envz00_242, obj_t BgL_mz00_243)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 27 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1155z00zz__multimediazd2mixerzd2, 
((obj_t)
((BgL_mixerz00_bglt)BgL_mz00_243)));} 
BGL_FUNCTION_END;
}



/* mixer-close */
BGL_EXPORTED_DEF obj_t BGl_mixerzd2closezd2zz__multimediazd2mixerzd2(BgL_mixerz00_bglt BgL_mz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 27 */
{ /* Llib/mixer.scm 27 */
obj_t BgL_method1055z00_67;
{ /* Llib/mixer.scm 27 */
obj_t BgL_res1104z00_123;
{ /* Llib/mixer.scm 27 */
long BgL_objzd2classzd2numz00_80;
{ /* Llib/mixer.scm 27 */
long BgL_res1093z00_83;
BgL_res1093z00_83 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_3)); 
BgL_objzd2classzd2numz00_80 = BgL_res1093z00_83; } 
{ /* Llib/mixer.scm 27 */
obj_t BgL_arg1742z00_81;
BgL_arg1742z00_81 = 
PROCEDURE_REF(BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2, 
(int)(((long)1))); 
{ /* Llib/mixer.scm 27 */
int BgL_offsetz00_85;
BgL_offsetz00_85 = 
(int)(BgL_objzd2classzd2numz00_80); 
{ /* Llib/mixer.scm 27 */
long BgL_offsetz00_86;
BgL_offsetz00_86 = 
(
(long)(BgL_offsetz00_85)-OBJECT_TYPE); 
{ /* Llib/mixer.scm 27 */
long BgL_modz00_87;
{ /* Llib/mixer.scm 27 */
int BgL_arg1744z00_88;
BgL_arg1744z00_88 = 
(int)(((long)16)); 
{ /* Llib/mixer.scm 27 */
long BgL_res1096z00_98;
{ /* Llib/mixer.scm 27 */
long BgL_tmpz00_393;
BgL_tmpz00_393 = 
(long)(BgL_arg1744z00_88); 
BgL_res1096z00_98 = 
(BgL_offsetz00_86/BgL_tmpz00_393); } 
BgL_modz00_87 = BgL_res1096z00_98; } } 
{ /* Llib/mixer.scm 27 */
long BgL_restz00_89;
{ /* Llib/mixer.scm 27 */
int BgL_arg1743z00_90;
BgL_arg1743z00_90 = 
(int)(((long)16)); 
{ /* Llib/mixer.scm 27 */
long BgL_res1103z00_118;
{ /* Llib/mixer.scm 27 */
long BgL_n1z00_100;long BgL_n2z00_101;
BgL_n1z00_100 = BgL_offsetz00_86; 
BgL_n2z00_101 = 
(long)(BgL_arg1743z00_90); 
{ /* Llib/mixer.scm 27 */
bool_t BgL_testz00_398;
{ /* Llib/mixer.scm 27 */
long BgL_arg1283z00_103;
BgL_arg1283z00_103 = 
(((BgL_n1z00_100) | (BgL_n2z00_101)) & -2147483648); 
BgL_testz00_398 = 
(BgL_arg1283z00_103==((long)0)); } 
if(BgL_testz00_398)
{ /* Llib/mixer.scm 27 */
int32_t BgL_arg1272z00_104;
{ /* Llib/mixer.scm 27 */
int32_t BgL_arg1278z00_105;int32_t BgL_arg1279z00_106;
{ /* Llib/mixer.scm 27 */
int32_t BgL_res1099z00_110;
BgL_res1099z00_110 = 
(int32_t)(BgL_n1z00_100); 
BgL_arg1278z00_105 = BgL_res1099z00_110; } 
{ /* Llib/mixer.scm 27 */
int32_t BgL_res1100z00_112;
BgL_res1100z00_112 = 
(int32_t)(BgL_n2z00_101); 
BgL_arg1279z00_106 = BgL_res1100z00_112; } 
BgL_arg1272z00_104 = 
(BgL_arg1278z00_105%BgL_arg1279z00_106); } 
{ /* Llib/mixer.scm 27 */
long BgL_res1102z00_117;
{ /* Llib/mixer.scm 27 */
long BgL_arg1409z00_114;
BgL_arg1409z00_114 = 
(long)(BgL_arg1272z00_104); 
{ /* Llib/mixer.scm 27 */
long BgL_res1101z00_116;
BgL_res1101z00_116 = 
(long)(BgL_arg1409z00_114); 
BgL_res1102z00_117 = BgL_res1101z00_116; } } 
BgL_res1103z00_118 = BgL_res1102z00_117; } }  else 
{ /* Llib/mixer.scm 27 */
BgL_res1103z00_118 = 
(BgL_n1z00_100%BgL_n2z00_101); } } } 
BgL_restz00_89 = BgL_res1103z00_118; } } 
{ /* Llib/mixer.scm 27 */

{ /* Llib/mixer.scm 27 */
obj_t BgL_bucketz00_91;
BgL_bucketz00_91 = 
VECTOR_REF(
((obj_t)BgL_arg1742z00_81),BgL_modz00_87); 
BgL_res1104z00_123 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_91),BgL_restz00_89); } } } } } } } } 
BgL_method1055z00_67 = BgL_res1104z00_123; } 
return 
PROCEDURE_ENTRY(BgL_method1055z00_67)(BgL_method1055z00_67, 
((obj_t)BgL_mz00_3), BEOA);} } 
BGL_FUNCTION_END;
}



/* &mixer-close */
obj_t BGl_z62mixerzd2closezb0zz__multimediazd2mixerzd2(obj_t BgL_envz00_244, obj_t BgL_mz00_245)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 27 */
{ /* Llib/mixer.scm 27 */
BgL_mixerz00_bglt BgL_auxz00_416;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_245, BGl_mixerz00zz__multimediazd2mixerzd2))
{ /* Llib/mixer.scm 27 */
BgL_auxz00_416 = 
((BgL_mixerz00_bglt)BgL_mz00_245)
; }  else 
{ 
obj_t BgL_auxz00_420;
BgL_auxz00_420 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1156z00zz__multimediazd2mixerzd2, 
BINT(((long)1428)), BGl_string1157z00zz__multimediazd2mixerzd2, BGl_string1158z00zz__multimediazd2mixerzd2, BgL_mz00_245); 
FAILURE(BgL_auxz00_420,BFALSE,BFALSE);} 
return 
BGl_mixerzd2closezd2zz__multimediazd2mixerzd2(BgL_auxz00_416);} } 
BGL_FUNCTION_END;
}



/* mixer-volume-get */
BGL_EXPORTED_DEF obj_t BGl_mixerzd2volumezd2getz00zz__multimediazd2mixerzd2(BgL_mixerz00_bglt BgL_mz00_4, obj_t BgL_dz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 28 */
{ /* Llib/mixer.scm 28 */
obj_t BgL_method1057z00_68;
{ /* Llib/mixer.scm 28 */
obj_t BgL_res1116z00_168;
{ /* Llib/mixer.scm 28 */
long BgL_objzd2classzd2numz00_125;
{ /* Llib/mixer.scm 28 */
long BgL_res1105z00_128;
BgL_res1105z00_128 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_4)); 
BgL_objzd2classzd2numz00_125 = BgL_res1105z00_128; } 
{ /* Llib/mixer.scm 28 */
obj_t BgL_arg1742z00_126;
BgL_arg1742z00_126 = 
PROCEDURE_REF(BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2, 
(int)(((long)1))); 
{ /* Llib/mixer.scm 28 */
int BgL_offsetz00_130;
BgL_offsetz00_130 = 
(int)(BgL_objzd2classzd2numz00_125); 
{ /* Llib/mixer.scm 28 */
long BgL_offsetz00_131;
BgL_offsetz00_131 = 
(
(long)(BgL_offsetz00_130)-OBJECT_TYPE); 
{ /* Llib/mixer.scm 28 */
long BgL_modz00_132;
{ /* Llib/mixer.scm 28 */
int BgL_arg1744z00_133;
BgL_arg1744z00_133 = 
(int)(((long)16)); 
{ /* Llib/mixer.scm 28 */
long BgL_res1108z00_143;
{ /* Llib/mixer.scm 28 */
long BgL_tmpz00_433;
BgL_tmpz00_433 = 
(long)(BgL_arg1744z00_133); 
BgL_res1108z00_143 = 
(BgL_offsetz00_131/BgL_tmpz00_433); } 
BgL_modz00_132 = BgL_res1108z00_143; } } 
{ /* Llib/mixer.scm 28 */
long BgL_restz00_134;
{ /* Llib/mixer.scm 28 */
int BgL_arg1743z00_135;
BgL_arg1743z00_135 = 
(int)(((long)16)); 
{ /* Llib/mixer.scm 28 */
long BgL_res1115z00_163;
{ /* Llib/mixer.scm 28 */
long BgL_n1z00_145;long BgL_n2z00_146;
BgL_n1z00_145 = BgL_offsetz00_131; 
BgL_n2z00_146 = 
(long)(BgL_arg1743z00_135); 
{ /* Llib/mixer.scm 28 */
bool_t BgL_testz00_438;
{ /* Llib/mixer.scm 28 */
long BgL_arg1283z00_148;
BgL_arg1283z00_148 = 
(((BgL_n1z00_145) | (BgL_n2z00_146)) & -2147483648); 
BgL_testz00_438 = 
(BgL_arg1283z00_148==((long)0)); } 
if(BgL_testz00_438)
{ /* Llib/mixer.scm 28 */
int32_t BgL_arg1272z00_149;
{ /* Llib/mixer.scm 28 */
int32_t BgL_arg1278z00_150;int32_t BgL_arg1279z00_151;
{ /* Llib/mixer.scm 28 */
int32_t BgL_res1111z00_155;
BgL_res1111z00_155 = 
(int32_t)(BgL_n1z00_145); 
BgL_arg1278z00_150 = BgL_res1111z00_155; } 
{ /* Llib/mixer.scm 28 */
int32_t BgL_res1112z00_157;
BgL_res1112z00_157 = 
(int32_t)(BgL_n2z00_146); 
BgL_arg1279z00_151 = BgL_res1112z00_157; } 
BgL_arg1272z00_149 = 
(BgL_arg1278z00_150%BgL_arg1279z00_151); } 
{ /* Llib/mixer.scm 28 */
long BgL_res1114z00_162;
{ /* Llib/mixer.scm 28 */
long BgL_arg1409z00_159;
BgL_arg1409z00_159 = 
(long)(BgL_arg1272z00_149); 
{ /* Llib/mixer.scm 28 */
long BgL_res1113z00_161;
BgL_res1113z00_161 = 
(long)(BgL_arg1409z00_159); 
BgL_res1114z00_162 = BgL_res1113z00_161; } } 
BgL_res1115z00_163 = BgL_res1114z00_162; } }  else 
{ /* Llib/mixer.scm 28 */
BgL_res1115z00_163 = 
(BgL_n1z00_145%BgL_n2z00_146); } } } 
BgL_restz00_134 = BgL_res1115z00_163; } } 
{ /* Llib/mixer.scm 28 */

{ /* Llib/mixer.scm 28 */
obj_t BgL_bucketz00_136;
BgL_bucketz00_136 = 
VECTOR_REF(
((obj_t)BgL_arg1742z00_126),BgL_modz00_132); 
BgL_res1116z00_168 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_136),BgL_restz00_134); } } } } } } } } 
BgL_method1057z00_68 = BgL_res1116z00_168; } 
return 
PROCEDURE_ENTRY(BgL_method1057z00_68)(BgL_method1057z00_68, 
((obj_t)BgL_mz00_4), BgL_dz00_5, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mixer-volume-get */
obj_t BGl_z62mixerzd2volumezd2getz62zz__multimediazd2mixerzd2(obj_t BgL_envz00_246, obj_t BgL_mz00_247, obj_t BgL_dz00_248)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 28 */
{ /* Llib/mixer.scm 28 */
obj_t BgL_auxz00_465;BgL_mixerz00_bglt BgL_auxz00_457;
if(
STRINGP(BgL_dz00_248))
{ /* Llib/mixer.scm 28 */
BgL_auxz00_465 = BgL_dz00_248
; }  else 
{ 
obj_t BgL_auxz00_468;
BgL_auxz00_468 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1156z00zz__multimediazd2mixerzd2, 
BINT(((long)1468)), BGl_string1159z00zz__multimediazd2mixerzd2, BGl_string1160z00zz__multimediazd2mixerzd2, BgL_dz00_248); 
FAILURE(BgL_auxz00_468,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_247, BGl_mixerz00zz__multimediazd2mixerzd2))
{ /* Llib/mixer.scm 28 */
BgL_auxz00_457 = 
((BgL_mixerz00_bglt)BgL_mz00_247)
; }  else 
{ 
obj_t BgL_auxz00_461;
BgL_auxz00_461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1156z00zz__multimediazd2mixerzd2, 
BINT(((long)1468)), BGl_string1159z00zz__multimediazd2mixerzd2, BGl_string1158z00zz__multimediazd2mixerzd2, BgL_mz00_247); 
FAILURE(BgL_auxz00_461,BFALSE,BFALSE);} 
return 
BGl_mixerzd2volumezd2getz00zz__multimediazd2mixerzd2(BgL_auxz00_457, BgL_auxz00_465);} } 
BGL_FUNCTION_END;
}



/* mixer-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_mixerzd2volumezd2setz12z12zz__multimediazd2mixerzd2(BgL_mixerz00_bglt BgL_mz00_6, obj_t BgL_dz00_7, int BgL_lz00_8, int BgL_rz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 29 */
{ /* Llib/mixer.scm 29 */
obj_t BgL_method1059z00_69;
{ /* Llib/mixer.scm 29 */
obj_t BgL_res1128z00_213;
{ /* Llib/mixer.scm 29 */
long BgL_objzd2classzd2numz00_170;
{ /* Llib/mixer.scm 29 */
long BgL_res1117z00_173;
BgL_res1117z00_173 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_6)); 
BgL_objzd2classzd2numz00_170 = BgL_res1117z00_173; } 
{ /* Llib/mixer.scm 29 */
obj_t BgL_arg1742z00_171;
BgL_arg1742z00_171 = 
PROCEDURE_REF(BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2, 
(int)(((long)1))); 
{ /* Llib/mixer.scm 29 */
int BgL_offsetz00_175;
BgL_offsetz00_175 = 
(int)(BgL_objzd2classzd2numz00_170); 
{ /* Llib/mixer.scm 29 */
long BgL_offsetz00_176;
BgL_offsetz00_176 = 
(
(long)(BgL_offsetz00_175)-OBJECT_TYPE); 
{ /* Llib/mixer.scm 29 */
long BgL_modz00_177;
{ /* Llib/mixer.scm 29 */
int BgL_arg1744z00_178;
BgL_arg1744z00_178 = 
(int)(((long)16)); 
{ /* Llib/mixer.scm 29 */
long BgL_res1120z00_188;
{ /* Llib/mixer.scm 29 */
long BgL_tmpz00_481;
BgL_tmpz00_481 = 
(long)(BgL_arg1744z00_178); 
BgL_res1120z00_188 = 
(BgL_offsetz00_176/BgL_tmpz00_481); } 
BgL_modz00_177 = BgL_res1120z00_188; } } 
{ /* Llib/mixer.scm 29 */
long BgL_restz00_179;
{ /* Llib/mixer.scm 29 */
int BgL_arg1743z00_180;
BgL_arg1743z00_180 = 
(int)(((long)16)); 
{ /* Llib/mixer.scm 29 */
long BgL_res1127z00_208;
{ /* Llib/mixer.scm 29 */
long BgL_n1z00_190;long BgL_n2z00_191;
BgL_n1z00_190 = BgL_offsetz00_176; 
BgL_n2z00_191 = 
(long)(BgL_arg1743z00_180); 
{ /* Llib/mixer.scm 29 */
bool_t BgL_testz00_486;
{ /* Llib/mixer.scm 29 */
long BgL_arg1283z00_193;
BgL_arg1283z00_193 = 
(((BgL_n1z00_190) | (BgL_n2z00_191)) & -2147483648); 
BgL_testz00_486 = 
(BgL_arg1283z00_193==((long)0)); } 
if(BgL_testz00_486)
{ /* Llib/mixer.scm 29 */
int32_t BgL_arg1272z00_194;
{ /* Llib/mixer.scm 29 */
int32_t BgL_arg1278z00_195;int32_t BgL_arg1279z00_196;
{ /* Llib/mixer.scm 29 */
int32_t BgL_res1123z00_200;
BgL_res1123z00_200 = 
(int32_t)(BgL_n1z00_190); 
BgL_arg1278z00_195 = BgL_res1123z00_200; } 
{ /* Llib/mixer.scm 29 */
int32_t BgL_res1124z00_202;
BgL_res1124z00_202 = 
(int32_t)(BgL_n2z00_191); 
BgL_arg1279z00_196 = BgL_res1124z00_202; } 
BgL_arg1272z00_194 = 
(BgL_arg1278z00_195%BgL_arg1279z00_196); } 
{ /* Llib/mixer.scm 29 */
long BgL_res1126z00_207;
{ /* Llib/mixer.scm 29 */
long BgL_arg1409z00_204;
BgL_arg1409z00_204 = 
(long)(BgL_arg1272z00_194); 
{ /* Llib/mixer.scm 29 */
long BgL_res1125z00_206;
BgL_res1125z00_206 = 
(long)(BgL_arg1409z00_204); 
BgL_res1126z00_207 = BgL_res1125z00_206; } } 
BgL_res1127z00_208 = BgL_res1126z00_207; } }  else 
{ /* Llib/mixer.scm 29 */
BgL_res1127z00_208 = 
(BgL_n1z00_190%BgL_n2z00_191); } } } 
BgL_restz00_179 = BgL_res1127z00_208; } } 
{ /* Llib/mixer.scm 29 */

{ /* Llib/mixer.scm 29 */
obj_t BgL_bucketz00_181;
BgL_bucketz00_181 = 
VECTOR_REF(
((obj_t)BgL_arg1742z00_171),BgL_modz00_177); 
BgL_res1128z00_213 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_181),BgL_restz00_179); } } } } } } } } 
BgL_method1059z00_69 = BgL_res1128z00_213; } 
return 
PROCEDURE_ENTRY(BgL_method1059z00_69)(BgL_method1059z00_69, 
((obj_t)BgL_mz00_6), BgL_dz00_7, 
BINT(BgL_lz00_8), 
BINT(BgL_rz00_9), BEOA);} } 
BGL_FUNCTION_END;
}



/* &mixer-volume-set! */
obj_t BGl_z62mixerzd2volumezd2setz12z70zz__multimediazd2mixerzd2(obj_t BgL_envz00_249, obj_t BgL_mz00_250, obj_t BgL_dz00_251, obj_t BgL_lz00_252, obj_t BgL_rz00_253)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 29 */
{ /* Llib/mixer.scm 29 */
int BgL_auxz00_533;int BgL_auxz00_524;obj_t BgL_auxz00_517;BgL_mixerz00_bglt BgL_auxz00_509;
{ /* Llib/mixer.scm 29 */
obj_t BgL_tmpz00_534;
if(
INTEGERP(BgL_rz00_253))
{ /* Llib/mixer.scm 29 */
BgL_tmpz00_534 = BgL_rz00_253
; }  else 
{ 
obj_t BgL_auxz00_537;
BgL_auxz00_537 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1156z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1161z00zz__multimediazd2mixerzd2, BGl_string1162z00zz__multimediazd2mixerzd2, BgL_rz00_253); 
FAILURE(BgL_auxz00_537,BFALSE,BFALSE);} 
BgL_auxz00_533 = 
CINT(BgL_tmpz00_534); } 
{ /* Llib/mixer.scm 29 */
obj_t BgL_tmpz00_525;
if(
INTEGERP(BgL_lz00_252))
{ /* Llib/mixer.scm 29 */
BgL_tmpz00_525 = BgL_lz00_252
; }  else 
{ 
obj_t BgL_auxz00_528;
BgL_auxz00_528 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1156z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1161z00zz__multimediazd2mixerzd2, BGl_string1162z00zz__multimediazd2mixerzd2, BgL_lz00_252); 
FAILURE(BgL_auxz00_528,BFALSE,BFALSE);} 
BgL_auxz00_524 = 
CINT(BgL_tmpz00_525); } 
if(
STRINGP(BgL_dz00_251))
{ /* Llib/mixer.scm 29 */
BgL_auxz00_517 = BgL_dz00_251
; }  else 
{ 
obj_t BgL_auxz00_520;
BgL_auxz00_520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1156z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1161z00zz__multimediazd2mixerzd2, BGl_string1160z00zz__multimediazd2mixerzd2, BgL_dz00_251); 
FAILURE(BgL_auxz00_520,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_250, BGl_mixerz00zz__multimediazd2mixerzd2))
{ /* Llib/mixer.scm 29 */
BgL_auxz00_509 = 
((BgL_mixerz00_bglt)BgL_mz00_250)
; }  else 
{ 
obj_t BgL_auxz00_513;
BgL_auxz00_513 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1156z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1161z00zz__multimediazd2mixerzd2, BGl_string1158z00zz__multimediazd2mixerzd2, BgL_mz00_250); 
FAILURE(BgL_auxz00_513,BFALSE,BFALSE);} 
return 
BGl_mixerzd2volumezd2setz12z12zz__multimediazd2mixerzd2(BgL_auxz00_509, BgL_auxz00_517, BgL_auxz00_524, BgL_auxz00_533);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2mixerzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mixer.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
